// JavaScript Document

var mobileSize = 768;

function changePositionMobileView() {
	if (document.body.clientWidth > 1199) {
		$('#left-column').insertBefore('#content-wrapper');
	} else {
		$('#left-column').insertAfter('#content-wrapper');
	}
}

function lazyLoading() {
	$('img.js-lazyload').lazyload({
		failure_limit: 9999,
		data_attribute: "src",
		effect: "fadeIn",
		load: function (el, s) {
			$(this).removeClass('js-lazyload');
		},
	});
	if ($('#xibanner-col-displaySliderAd').length) {
		var count1 = 1;
		$('#xibanner-col-displaySliderAd .xibanner-column').each(function (index, value) {
			addAnimationData($(this), 'fadeInUp', count1 * 10);
			$(this).addClass('animated fadeInUp');
			$(this).find('img.js-lazyload').trigger('appear');
			count1++;
		});
	}
}

function Scrolltotop() {
	var win_height = 300;
	var scroll_top = $(document).scrollTop();
	if (scroll_top > win_height) {
		$('#go_top').fadeIn();
	} else {
		$('#go_top').fadeOut();
	}
}

function MobileMegamenu() {
	if (document.body.clientWidth <= mobileSize) {
		var varOverlay = $('<div class="mobile-overlayer"></div>').insertAfter('main'),
			varCloseButton = $('<div class="mobileclosebtn"><i class="material-icons close">&#xe5cd;</i></div>');

		varCloseButton.prependTo('.mobilemenu_ajax');

        $(document).on('click', '#_mobile_minimenu', function(e) {
			$('html').addClass('dfx-mobilemenu-open');
			$('.mobilemenu_ajax').addClass('in');
			$('.mobile-overlayer').fadeIn(500);
			e.preventDefault();
		});

        $(document).on('click', '.mobileclosebtn, .mobile-overlayer', function() {
			$('html').removeClass('dfx-mobilemenu-open');
			$('.mobilemenu_ajax').removeClass('in');
			$('.mobile-overlayer').fadeOut(500);
		});

		var $mobilemenu = $('.mobilemegamenu');

		if ($mobilemenu.length) {
			$(document).on('click', '.mobilemegamenu .menusub-open', function(e) {
				$(this).next('.mobiledropdown').stop().slideToggle();
				$(this).find('.add').toggle();
				$(this).find('.remove').toggle();
				e.preventDefault();
			});
		}
	}
}

function absoluteHeader() {
	if (document.body.clientWidth <= mobileSize) {
		$('#abs-lang').removeClass('ajax-hide').html($('.ajax-lang-src').html());
		$('#abs-currency').removeClass('ajax-hide').html($('.ajax-currency-src').html());
	}
}

function megamenuHoverTablet() {
	if (document.body.clientWidth > mobileSize) {
		$('html').on('touchstart', function(e) {
			$('#multimenu > li.redfoxmenu_li').removeClass('hover');
		});
		$(document).on('touchstart', '#multimenu', function(e) {
			e.stopPropagation();
		});
		$(document).on('touchstart', '#multimenu > li.redfoxmenu_li > .is-submenu', function(e) {
			'use strict'; //satisfy code inspectors		
			var li = $(this).parent('li');
			if (li.hasClass('hover')) {
				return true;
			} else {
				$('#multimenu > li.redfoxmenu_li').removeClass('hover');
				li.addClass('hover');
				e.preventDefault();
				return false;
			}
		});
	}
}

function imageLazy() {
	var $window = $(window);
	if (document.body.clientWidth < mobileSize) {
		$window.on('scroll', ImageOnScroll);
		function ImageOnScroll() {
			var scrolled = $window.scrollTop(), win_height_padded = $window.height() * 1.1;
			var images = $('img.js-lazyload');
			images.each(function () {
				var $this = $(this), offsetTop = $this.offset().top;
				if (scrolled + win_height_padded > offsetTop) {
					$(this).trigger('appear');
				}
			});
		}
	}
}

function ProductTimer() {
	var result = setInterval(function () {
		if ($('.product-counter').length) {
			$('.product-counter').each(function (index, value) {
				var time = $(this).attr('data-date');
				var countDownDate = new Date(time.replace(/ /g, "T") + 'Z');
				var now = new Date().getTime();
				var distance = countDownDate - now;
				var day = Math.floor(distance / (1000 * 60 * 60 * 24));
				var hour = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
				var minute = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
				var second = Math.floor((distance % (1000 * 60)) / 1000);
				var data = day + '' + hour + '' + minute + '' + second + '';
				$(this).find('.count-container .days').html(day);
				$(this).find('.count-container .hours').html(hour);
				$(this).find('.count-container .minutes').html(minute);
				$(this).find('.count-container .seconds').html(second);
				$(this).find('.ended').hide();
				if (distance < 0) {
					clearInterval(x);
					data = "end";
					$(this).find('.count-time-outfit').hide();
					$(this).find('.product-ended').show(data);
				}
			});
		}
	}, 1000);
}

function Tabhome() {
	$(".tab-homeproducts ul.nav-tabs li:first a").addClass("active");
	$(".tab-homeproducts ul.nav-tabs li:first").addClass("selected");
	$(".tab-homeproducts .tab-content .tab-pane:first").addClass("active");
	$(".tab-homeproducts .tab-content .tab-pane:first").addClass("in");

    $(document).on('click', '.tab-homeproducts ul.nav-tabs li', function(e) {
		var idtab = $(this).attr('data-tab');
		if ($(this).hasClass('selected')) {
			return;
		}
		$(".tab-homeproducts ul.nav-tabs li").removeClass('selected');
		$('.hometab-products').removeClass('active').removeClass('in').hide();
		$(this).fadeIn("slow").addClass('selected');
		$('#' + idtab).addClass('active').fadeIn();

		var count8 = 1;
		$('#' + idtab).find('.product-miniature').each(function (index, value) {
			addAnimationData($(this), 'fadeInUp', count8 * 10);
			$(this).addClass('animated fadeInUp');
			$(this).find('img.js-lazyload').trigger('appear');
			$(this).attr('aria-hidden', false);
			count8++;
		});
		e.preventDefault();
	});
}

function addAnimationData(elem, elemData, elemTimeout) {
	$(elem).addClass("revealOnScroll").attr("data-animation", elemData).attr("data-timeout", elemTimeout);
}

function animationEffect() {
	var $window = $(window);
	$('.revealOnScroll').addClass('animated');
	$window.on('scroll', revealOnScroll);
	function revealOnScroll() {
		var scrolled = $window.scrollTop(),
			win_height_padded = $window.height() * 1.1;
		$(".revealOnScroll:not(.animated)").each(function () {
			var $this = $(this),
				offsetTop = $this.offset().top;
			if (scrolled + win_height_padded > offsetTop) {
				if ($this.data('timeout')) {
					window.setTimeout(function () {
						$this.addClass('animated ' + $this.data('animation'));
					}, parseInt($this.data('timeout'), 10));
				} else {
					$this.addClass('animated ' + $this.data('animation'));
				}
			}
		});
		$(".revealOnScroll.animated").each(function (index) {
			var $this = $(this),
				offsetTop = $this.offset().top;
			if (scrolled + win_height_padded < offsetTop) {
				//add additional animate.css animations to the removeClass function
				$(this).removeClass('animated fadeInUp zoomIn fadeInLeft rollIn rotateInDownRight wobble flash pulse fadeInDown fadeInRight rotateIn rotateInUpLeft tada shake fadeInLeftBig lightSpeedIn slideInUp  flipInY hinge fadeInLeftBig flip rotateInDownLeft rotateInUpRight slideInLeft slideInRight flipInX ');
			}
		});
	}
	var count1 = 1;
	$('.xibanner-columns .xibanner-column').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count1 * 10);
		count1++;
	});
	var count2 = 1;
	$('.topcategory-container').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count2 * 10);
		count2++;
	});
	var count3 = 1;
	$('.tab-homeproducts').find('.product-miniature').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count3 * 10);
		count3++;
	});
	var count4 = 1;
	$('.cattab-container .row_items').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count4 * 10);
		count4++;
	});
	var count5 = 1;
	$('.footer-container .links').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count5 * 10);
		count5++;
	});
	var count6 = 1;
	$('.blog-preview_item').each(function (index) {
		addAnimationData($(this), 'fadeInUp', count6 * 10);
		count6++;
	});
	var animationdata = [
		['.blog-outer-container .home-title', 'fadeInUp'],
		['.redfoxsocial_block', 'fadeInUp'],
		['.dfx_manufacturer', 'fadeInUp'],
		['.js-product-list .product-miniature', 'fadeInUp'],
		['#specialright', 'fadeInUp'],
		['.tab-homeproducts .tab-selector', 'fadeInUp']
	];
	for (var i = 0; i < animationdata.length; i++) {
		addAnimationData($(animationdata[i][0]), animationdata[i][1], 10);
	}
	revealOnScroll();
}

function setCookie(cname, cvalue, exdays) {
	var d = new Date();
	d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
	var expires = "expires=" + d.toUTCString();
	document.cookie = cname + "=" + cvalue + "; " + expires;
}

function getCookie(cname) {
	var name = cname + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1);
		if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
	}
	return "";
}

$(document).ready(function() {

	Tabhome();
	ProductTimer();
	MobileMegamenu();
	absoluteHeader();
	megamenuHoverTablet();
	imageLazy();

	var headerheight = $('#header').height();
	var topHeight = $(document).scrollTop();
	if (topHeight > headerheight) {
		$('.sticky').addClass("sticky-head");
	} else {
		$('.sticky').removeClass("sticky-head");
	}

	var elemCartRight = $('.cart_block_ajax').insertAfter('main'),
		elemOverlay = $('<div class="cart-overlayer"></div>').insertAfter('main');

   $(document).on('click', '#_desktop_cart, #_mobile_cart', function(e) {
		$('html').addClass('dfx-cart-open');
		$('.cart-overlayer').fadeIn(500);
		e.preventDefault();
	});
    $(document).on('click', '.cartclosebtn, .cart-overlayer', function() {
		$('html').removeClass('dfx-cart-open');
		$('.cart-overlayer').fadeOut(500);
	});

	$('body').on('click', '.add-to-cart', function(){
		var thecartID = $(this).data("id-product");
		$('.add-to-cart[data-id-product=' + thecartID + ']').addClass('is-added disabled').removeClass('no-added');
		$(this).addClass('is-added disabled').removeClass('no-added');
	});

	$('body').on('click', '.remove-from-cart', function(e){
		var theID = $(this).data("id-product");
		$('.add-to-cart[data-id-product=' + theID + ']').addClass('no-added disabled').removeClass('is-added');
		e.preventDefault();
	});

	if ("ontouchstart" in document.documentElement) {
		$('.hover-images-toggler').html('').css('display', 'none');
		$('html').addClass('touchstart');
		$('.mobiledropdown').each(function () {
			$(this).find('img.js-lazyload').trigger('appear');
		});
	} else {
		$(document).on('mouseover', '.hover-images-toggler .image-toggle', function(e) {
			e.preventDefault();
			$(this).parent().find('.image-toggle.act').removeClass('act');
			$(this).addClass('act');
			var imgId = $(this).attr("data-hover-slider-i").split('-');
			var newSrc = $(this).attr("data-hover-slider-image");
			$(this).parents(".product-image").find('#hoverproductImage_' + imgId[0]).attr("src", newSrc);
		});
	}

	$(document).on('click', 'li#grid', function() {
		$("#js-product-list").removeClass("active_list");
		$("#js-product-list").addClass("active_grid");
		$(".redfoxProducts").addClass("redfoxProductGrid");
		$(".redfoxProducts").removeClass("redfoxProductList");
		$("li#grid").addClass("selected_grid");
		$("li#list").removeClass("selected_list");
		setCookie('status_list_products', 'selected_grid', 1);
	});
	$(document).on('click', 'li#list', function() {
		$("#js-product-list").removeClass("active_grid");
		$("#js-product-list").addClass("active_list");
		$(".redfoxProducts").removeClass("redfoxProductGrid");
		$(".redfoxProducts").addClass("redfoxProductList");
		$("li#list").addClass("selected_list");
		$("li#grid").removeClass("selected_grid");
		setCookie('status_list_products', 'selected_list', 1);
	});
	if (getCookie('status_list_products') !== "" && getCookie('status_list_products') !== "selected_grid") {
		$("li#grid").removeClass("selected_grid");
		$("li#list").addClass("selected_list");
		$("#js-product-list").removeClass("active_grid");
		$("#js-product-list").addClass("active_list");
		$(".redfoxProducts").removeClass("redfoxProductGrid");
		$(".redfoxProducts").addClass("redfoxProductList");
	}
	if (getCookie('status_list_products') !== "" && getCookie('status_list_products') !== "selected_list") {
		$("li#grid").addClass("selected_grid");
		$("li#list").removeClass("selected_list");
		$("#js-product-list").removeClass("active_list");
		$("#js-product-list").addClass("active_grid");
		$(".redfoxProducts").addClass("redfoxProductGrid");
		$(".redfoxProducts").removeClass("redfoxProductList");
	}

	if ($('.faceted_padding_top').length) {
		$(document).on('click', '#faceted_filter_toggler', function() {
			if ($('#search_filters_wrapper #search_filters').hasClass('open')) {
				$('#search_filters_wrapper #search_filters').removeClass('open').slideUp("slow");
			} else {
				$('#search_filters_wrapper #search_filters').addClass('open').slideDown("slow");
			}
		});
	}

	$(window).on('scroll', function() {
		Scrolltotop();
	});
	$(document).on('click', '#go_top', function() {
		$('html, body').animate({ scrollTop: 0 }, 600);
	});

	if (getCookie('topbaner')) {
		$('#xibanner-col-displayBanner').html('');
	}
	$(document).on('click', '.close-topbaner', function() {
		setCookie('topbaner', '1', 2);
		$('#xibanner-col-displayBanner').html('');
	});
	if (getCookie('topshipping')) {
		$('#shippingtext').html('');
	}
	$(document).on('click', '.close-shipping', function() {
		setCookie('topshipping', '1', 2);
		$('#shippingtext').html('');
	});
	
});

$(window).on('load', function() {
	lazyLoading();
	changePositionMobileView();
	animationEffect();
	
	$(window).on('resize', function() {
	  changePositionMobileView();
	  MobileMegamenu();
	  absoluteHeader();
	  megamenuHoverTablet();
    });
});