<?php
/**
 * 2007-2021 PrestaShop.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    // module validation
    exit;
}

class DfxLink
{
    protected $allow;
    protected $url;
    protected $ssl_enable;
    


    public function getBlogLink($id_lang = null)
    {
        if (!$id_lang) {
            $id_lang = Context::getContext()->language->id;
        }

        $url = dfxblog::myRealUrl();

        $params = array();

        $dispatcher = Dispatcher::getInstance();

        return $url.$dispatcher->createUrl('dfxblog_rule', $id_lang, $params);
    }
    
    public function getBlogTagLink($tag, $cparams = array())
    {
        $params = array(
            'tag' => urlencode($tag),
        );
        $params = array_merge($params, $cparams);
        return Context::getContext()->link->getModuleLink('dfxblog', 'blog', array('tag' => $tag));
    }

    public function getArchiveLink($year, $month, $id_lang = null)
    {
        if (!$id_lang) {
            $id_lang = Context::getContext()->language->id;
        }

        $url = dfxblog::myRealUrl();

        $params = array();
        $params['year'] = $year;
        $params['month'] = $month;

        $dispatcher = Dispatcher::getInstance();

        return $url.$dispatcher->createUrl('dfx_archive_rule', $id_lang, $params);
    }

    public function getRssLink($id_lang = null)
    {
        if (!$id_lang) {
            $id_lang = Context::getContext()->language->id;
        }

        $url = dfxblog::myRealUrl();

        $params = array();

        $dispatcher = Dispatcher::getInstance();

        return $url.$dispatcher->createUrl('dfx_rss_rule', $id_lang, $params);
    }

    public function getPostImageLink($id_dfxblog_post, $type = null)
    {
        $url = dfxblog::myRealUrl();
        return $url.'img/'._DFXPRO_.implode('/', str_split((string) $id_dfxblog_post)).'/'.
        $id_dfxblog_post.($type ? '-'.$type : '').'.jpg';
    }

    public function getCategoryImageLink($id_dfxblog_category, $type = null)
    {
        $url = dfxblog::myRealUrl();
        return $url.'img/'._DFXCAT_.$id_dfxblog_category.($type ? '-'.$type : '').'.jpg';
    }
}
