<?php
/**
 * 2021 Digitalredfox
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author Digitalredfox
 *  @copyright  2021 Digitalredfox.com

 *  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    // module validation
    exit;
}
$path = dirname(_PS_ADMIN_DIR_);

require_once $path.'/config/config.inc.php';
require_once $path.'/init.php';


$res = (bool)Db::getInstance()->execute(
    '
	CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_category` (
	 `id_dfxblog_category` int(10) unsigned NOT NULL AUTO_INCREMENT,
	 `image` varchar(255) NOT NULL,
	`id_parent` int(10) unsigned NOT NULL,
	`level_depth` tinyint(3) unsigned NOT NULL DEFAULT 0,
	`active` tinyint(1) unsigned NOT NULL DEFAULT 0,
	`date_add` datetime NOT NULL,
	`date_upd` datetime NOT NULL,
	`position` int(10) unsigned NOT NULL DEFAULT 0,
	PRIMARY KEY (`id_dfxblog_category`)
	) ENGINE='._MYSQL_ENGINE_.'  DEFAULT CHARSET=utf8;
'
);
$res &= (bool)Db::getInstance()->execute(
    '
	CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_category_lang` (
	  `id_dfxblog_category` int(10) unsigned NOT NULL,
	`id_lang` int(10) unsigned NOT NULL,
	`name` varchar(128) NOT NULL,
	`description` text,
	`link_rewrite` varchar(128) NOT NULL,
	`meta_title` varchar(128) DEFAULT NULL,
	`meta_keywords` varchar(255) DEFAULT NULL,
	`meta_description` varchar(255) DEFAULT NULL,
	PRIMARY KEY (`id_dfxblog_category`,`id_lang`)
	) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;
'
);

$res &= (bool)Db::getInstance()->execute(
    '
	CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_category_shop` (
	    `id_dfxblog_category` int(11) NOT NULL DEFAULT \'0\',
  		`id_shop` int(11) NOT NULL DEFAULT \'0\',
  		PRIMARY KEY (`id_dfxblog_category`,`id_shop`)
	) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;
'
);


$res &= (bool)Db::getInstance()->execute(
    '
CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_comment` (
  `id_dfxblog_comment` int(10) unsigned NOT NULL AUTO_INCREMENT,
	`id_dfxblog_post` int(10) unsigned NOT NULL,
	`id_customer` int(10) unsigned DEFAULT NULL,
	`comment` text NOT NULL,
	`customer_email` varchar(255) NOT NULL,
	`customer_name` varchar(64) DEFAULT NULL,
	`active` tinyint(1) NOT NULL,
	`date_add` datetime NOT NULL,
	`date_upd` datetime NOT NULL,
	PRIMARY KEY (`id_dfxblog_comment`),
	KEY `id_dfxblog_post` (`id_dfxblog_post`),
	KEY `id_customer` (`id_customer`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8; '
);


$res &= (bool)Db::getInstance()->execute(
    '
CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_post` (
  `id_dfxblog_post` int(10) unsigned NOT NULL AUTO_INCREMENT,
	`id_dfxblog_category` int(11) NOT NULL,
	`image` varchar(255) DEFAULT NULL,
  	`thumb` varchar(255) DEFAULT NULL,
	`active` tinyint(1) unsigned NOT NULL DEFAULT 0,
	`allow_comment` tinyint(1) unsigned NOT NULL DEFAULT 0,
	`allow_views` tinyint(1) unsigned NOT NULL DEFAULT 0,
	`allow_likes` tinyint(1) unsigned NOT NULL DEFAULT 0,
	`posted_by` varchar(100) DEFAULT NULL,
	`related_posts` varchar(255) DEFAULT NULL,
	`likes` INT( 11 ) UNSIGNED NOT NULL DEFAULT 0,
    `views` INT( 11 ) UNSIGNED NOT NULL DEFAULT 0,
	`related_products` varchar(255) DEFAULT NULL,
	`date_add` datetime NOT NULL,
	`date_upd` datetime NOT NULL,
	PRIMARY KEY (`id_dfxblog_post`),
	KEY `date_add` (`date_add`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8; '
);

$res &= (bool)Db::getInstance()->execute(
    '
CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_post_lang` (
  `id_dfxblog_post` int(10) unsigned NOT NULL,
	`id_lang` int(10) unsigned NOT NULL,
	`name` varchar(128) NOT NULL,
	`description_short` text,
	`description` text,
	`link_rewrite` varchar(128) NOT NULL,
	`meta_title` varchar(128) DEFAULT NULL,
	`meta_keywords` varchar(255) DEFAULT NULL,
	`meta_description` varchar(255) DEFAULT NULL,
	`tags` text,
	PRIMARY KEY (`id_dfxblog_post`,`id_lang`),
	KEY `post_name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8; '
);

$res &= (bool)Db::getInstance()->execute(
    '
	CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'dfxblog_post_shop` (
	    `id_dfxblog_post` int(11) NOT NULL DEFAULT \'0\',
  		`id_shop` int(11) NOT NULL DEFAULT \'0\',
  		PRIMARY KEY (`id_dfxblog_post`,`id_shop`)
	) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;
'
);



$rows = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS('SELECT id_dfxblog_post FROM `'._DB_PREFIX_.'dfxblog_post`');
if (count($rows) <= 0 && file_exists(_PS_MODULE_DIR_.'dfxblog/sql/sample.php')) {
    // validate module
    include_once _PS_MODULE_DIR_.'dfxblog/sql/sample.php';
} else {
    // validate module
    include_once _PS_MODULE_DIR_.'dfxblog/sql/config.php';
}
/* END REQUIRED */
