/**
 * 2007-2021 PrestaShop SA and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2021 PrestaShop SA and Contributors
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 */

$(document).ready(function () {
  $(".blogowl-demo").owlCarousel({
    loop: false,
    dots: false,
    items: 1,
    nav: true,
    itemElement: "LI",
    stageElement: "UL",
    responsiveBaseElement: ".blog-outer-container",
    lazyLoad: true,
    responsive: {
      0: {
        items: 1,
        margin: 0,
      },
      490: {
        items: 2,
        margin: 15,
      },
      621: {
        items: 2,
        margin: 30,
      },
      768: {
        items: 2,
        margin: 30,
      },
      930: {
        items: 3,
        margin: 30,
      },
      1200: {
        items: 4,
        margin: 30,
      },
    },
  });
});
function markLikedPost(guest, id_dfxblog_post) {
  if ($.cookie("guest_" + guest + "_" + id_dfxblog_post) == "voted") {
    $(".dfxblog-like-button").addClass("voted");
  }
}
$(document).ready(function () {
  /*  */
  $("#dfxblog_comment_form").submit(function () {
    var action = $(this).attr("action");
    var data = $("#dfxblog_comment_form").serialize();

    if (
      $("#dfxblog_comment_form").parent().find(".comment-message").length <= 0
    ) {
      var msg = $('<div class="comment-message"></div>');
      $("#dfxblog_comment_form").before(msg);
    } else {
      var msg = $("#dfxblog_comment_form").parent().find(".comment-message");
    }
    // $('.btn-submit-comment').addClass('disable');
    $.ajax({
      url: action,
      data: data + "&submitcomment=" + Math.random(),
      type: "POST",
      dataType: "json",
      success: function (ct) {
        if (!ct.error) {
          $(msg).html('<div class="alert alert-info">' + ct.message + "</div>");
          $("input[type=text], textarea", "#dfxblog_comment_form").each(
            function () {
              $(this).val("");
            }
          );
        } else {
          $(msg).html(
            '<div class="alert alert-warning">' + ct.message + "</div>"
          );
        }
      },
    });
    return false;
  });
});
$(function () {
  if ($("#module-dfxblog-post").length > 0) {
    markLikedPost(
      $("#module-dfxblog-post .dfxblog-like-button").data("guest"),
      $(".post-likes .dfxblog-like-button").data("post")
    );

    $(document).on("click", ".dfxblog-socialshare-icons button", function () {
      type = $(this).attr("data-type");
      if (type.length) {
        switch (type) {
          case "twitter":
            window.open(
              "https://twitter.com/intent/tweet?text=" +
                dfx_sharing_name +
                " " +
                encodeURIComponent(dfx_sharing_url),
              "sharertwt",
              "toolbar=0,status=0,width=640,height=445"
            );
            break;
          case "facebook":
            window.open(
              "http://www.facebook.com/sharer.php?u=" + dfx_sharing_url,
              "sharer",
              "toolbar=0,status=0,width=660,height=445"
            );
            break;
          case "google-plus":
            window.open(
              "https://plus.google.com/share?url=" + dfx_sharing_url,
              "sharer",
              "toolbar=0,status=0,width=660,height=445"
            );
            break;
          case "pinterest":
            window.open(
              "http://www.pinterest.com/pin/create/button/?media=" +
                dfx_sharing_img +
                "&url=" +
                dfx_sharing_url,
              "sharerpinterest",
              "toolbar=0,status=0,width=660,height=445"
            );
            break;
        }
      }
    });

    $(document).on("click", ".dfxblog-like-button", function (e) {
      e.preventDefault();
      var id_dfxblog_post = $(this).data("post");
      var id_guest = $(this).data("guest");
      var element = $(this);

      if ($.cookie("guest_" + id_guest + "_" + id_dfxblog_post) == "voted") {
        $.cookie("guest_" + id_guest + "_" + id_dfxblog_post, "");
        var request = $.ajax({
          type: "POST",
          url: prestashop.urls.base_url + "modules/dfxblog/ajax.php",
          data: {
            action: "removeRating",
            id_dfxblog_post: id_dfxblog_post,
          },
          success: function (result) {
            var data = $.parseJSON(result);
            if (data.status == "success") {
              element.removeClass("voted").find("span").text(data.message);
            } else {
              alert(data.message);
            }
          },
        });
      } else {
        $.cookie("guest_" + id_guest + "_" + id_dfxblog_post, "voted");
        var request = $.ajax({
          type: "POST",
          url: prestashop.urls.base_url + "modules/dfxblog/ajax.php",
          data: {
            action: "addRating",
            id_dfxblog_post: id_dfxblog_post,
          },
          success: function (result) {
            var data = $.parseJSON(result);
            if (data.status == "success") {
              element.addClass("voted").find("span").text(data.message);
            } else {
              alert(data.message);
            }
          },
        });
      }
    });
  }
});
