{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com> *  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{extends file='page.tpl'}
{block name="page_content"}
{hook h='DisplayDfxBlogSidebar'}
<section class="post-detail-page col-xs-12 col-sm-12 col-md-8 col-lg-9">
  <div itemscope="itemscope" itemtype="http://schema.org/Blog" itemprop="mainContentOfPage">
    <section id="dfxpost" class="blog_entry">
      <div class="entry-content"> {if $dfxpost->id_image}
        <div class="featured-thumb"> <img src="{$dfxlink->getPostImageLink($dfxpost->id_image,'large')|escape:'htmlall':'UTF-8'}" alt="{$dfxpost->name|escape:'htmlall':'UTF-8'}" /> </div>
        {/if}
        <h1 class="blog_entry-title">{$dfxpost->name|escape:'htmlall':'UTF-8'}</h1>
        <ul class="post-meta">
          <li><i class="fa fa-user"></i> {l s='posted by' d='Modules.DfxBlog'} {$dfxpost->posted_by|escape:'htmlall':'UTF-8'} </li>
          {if $comments}
          <li> <i class="fa fa-comments"></i> <a href="#comment_list" title="">{$comments|count} {l s='Comments' d='Modules.DfxBlog'}</a> </li>
          {/if}
          <li> <i class="fa fa-calendar"></i> <span></span> {l s='Posted on' d='Modules.DfxBlog'}&nbsp;{$dfxpost->date_add|escape:'htmlall':'UTF-8'|date_format} </li>
          {if isset($allow_views) && $allow_views == 1}
          <li><i class="fa fa-eye"></i> {$dfxpost->views|escape:'htmlall':'UTF-8'} {l s='Views' d='Modules.DfxBlog'} </li>
          {/if}
          {if isset($allow_likes) && $allow_likes == 1}
          <li> <span class="post-likes"> <a href="#" data-guest="" data-post="{$dfxpost->id_dfxblog_post|intval}" class="dfxblog-like-button"> <i class="redfox-heart"></i> <span>{$dfxpost->likes|intval}</span> {l s='likes'  d='Modules.DfxBlog'} </a> </span> </li>
          {/if}
          <li> {if $post_categories} <i class="fa fa-tags"></i> {l s='Categories' d='Modules.DfxBlog'}: <a href="{$dfxpost->category_url|escape:'htmlall':'UTF-8'}" title="">{$dfxpost->category|escape:'htmlall':'UTF-8'}</a> {/if} </li>
        </ul>
        <div class="description rte"> {$dfxpost->description nofilter}{* HTML form , no escape necessary *} </div>
      </div>
      {if $tags}
      <div class="blog-tags"> <span>{l s='Tags:' d='Modules.DfxBlog'}</span> {foreach from=$tags item=tag name=tag} <span class="tag">{$tag.tag|escape:'html':'UTF-8'}</span> {/foreach} </div>
      {/if} 
      
      <!-- addthis -->
      
      <div id="displayDfxblogAfterPostContent"> {hook h='displayDfxblogAfterPostContent'} </div>
    </section>
    <div class="extra-blogs row">
      <div class="col-lg-6 col-md-6 col-xs-12">
        <h4>{l s='In Same Category' d='Modules.DfxBlog'}</h4>
        <ul>
          {foreach from=$samecats item=cblog name=cblog}
          <li><a href="{$cblog.link|escape:'html':'UTF-8'}">{$cblog.name|escape:'html':'UTF-8'}</a></li>
          {/foreach}
        </ul>
      </div>
      <div class="col-lg-6 col-md-6 col-xs-12">
        <h4>{l s='Related by Tags' d='Modules.DfxBlog'}</h4>
        <ul>
          {foreach from=$tagrelated item=tblog name=tblog}
          <li><a href="{$tblog.link|escape:'html':'UTF-8'}">{$tblog.name|escape:'html':'UTF-8'}</a></li>
          {/foreach}
        </ul>
      </div>
    </div>
    {if $related_posts}
    <div class="row">
      <div class="dfxpost-related block">
        <h3 class="page-subheading">{l s='Related Posts' d='Modules.DfxBlog'}</h3>
        <div class="list-block">
          <ul>
            {foreach $related_posts as $post}
            <li><a href="{$post.link|escape:'htmlall':'UTF-8'}" title="{$post.name|escape:'htmlall':'UTF-8'}">{$post.name|escape:'htmlall':'UTF-8'}</a></li>
            {/foreach}
          </ul>
        </div>
      </div>
    </div>
    {/if}
    {if isset($enable_relatedproduct) && $enable_relatedproduct == 1}
    {include file="module:dfxblog/views/templates/front/dfxpost-related-product.tpl"}
    {/if}
    <div class="comment-block" id="comment_list">
      <h3 class="page-subheading">{l s='Comments' d='Modules.DfxBlog'} ({if $comments}{$comments|count}{else}0{/if})</h3>
      <div class="comment-show"> {if $comments}
        {foreach $comments as $comment}
        <div class="dfxcomment">
          <div class="dfxcomment-list">
            <div class="customer-comments">{$comment.comment|escape:'html':'UTF-8'|nl2br}</div>
            <div class="comment-meta"> <span class="date">{l s='on' d='Modules.DfxBlog'} <span>{$comment.date_add|escape:'htmlall':'UTF-8'|date_format}</span></span> <span class="separator">|</span> <span class="author">{l s='by' d='Modules.DfxBlog'} <span>{$comment.customer_name|escape:'html':'UTF-8'}</span></span> </div>
          </div>
        </div>
        {/foreach}
        {else}
        <div class="warning alert alert-warning">{l s='No comments at this moment' d='Modules.DfxBlog'}</div>
        {/if} </div>
    </div>
    {if isset($allow_comment) && $allow_comment == 1}
    {include file="module:dfxblog/views/templates/front/dfxpost-add-comment.tpl"}
    {/if}
    <div id="blog_link_nav" class="dfxpost-navigation block clearfix"> {if $previous_post} <a class="button btn btn-primary button-medium" href="{$previous_post.link|escape:'htmlall':'UTF-8'}"><i class="icon-chevron-left left"></i>{l s='Previous Post' d='Modules.DfxBlog'}</a> {/if}
      {if $next_post} <a class="button btn btn-primary button-medium float_right_btn" href="{$next_post.link|escape:'htmlall':'UTF-8'}">{l s='Next Post' d='Modules.DfxBlog'}<i class="icon-chevron-right right"></i></a> {/if} </div>
  </div>
</section>
{/block}