{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com> *  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*} 

<!-- Latest Posts Block --> 

{if $dfxposts}
<div class="blog_column">
  <div class="blog-outer-container">
    <h2 class="home-title"> {l s='Latest Blog' d='Modules.DfxBlog'} </h2>
    <div class="blog-inner blogowl-demo owl-carousel owl-theme"> {foreach $dfxposts as $dfxpost}
      <section class="blog-preview_item"> {if $dfxpost.id_image}
        <div class="entry-thumb image-hover2">
          <div class="timestamp">{$dfxpost.date_add|date_format:"%e"} {$dfxpost.date_add|date_format:"%B"} {$dfxpost.date_add|date_format:"%Y"}</div>
          <a href="{$dfxpost.url|escape:'htmlall':'UTF-8'}" title="{$dfxpost.name|escape:'htmlall':'UTF-8'}"> <img class="owl-lazy" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20{$listimg_width}%20{$listimg_height}%22%3E%3C/svg%3E" data-src="{$dfxlink->getPostImageLink($dfxpost.id_image,'list')|escape:'html':'UTF-8'}" alt="{$dfxpost.name|escape:'htmlall':'UTF-8'}" width="{$listimg_width}" height="{$listimg_height}"/> </a> </div>
        {/if}
        <div class="blog-preview_info">
          <ul class="post-meta">
            <li><i class="fa fa-user"></i> {$dfxpost.posted_by|escape:'htmlall':'UTF-8'}</li>
            <li> {if $dfxpost.num_comment > 0} <i class="fa fa-comments"></i> <a href="{$dfxpost.url|escape:'htmlall':'UTF-8'}#comment_list" title="">{$dfxpost.num_comment} {l s='Comments' d='Modules.DfxBlog'}</a> {else} <i class="fa fa-comments"></i> <a href="{$dfxpost.url|escape:'htmlall':'UTF-8'}#comment_list" title="">{$dfxpost.num_comment} {l s='Comment' d='Modules.DfxBlog'}</a>{/if} </li>
            {if isset($allow_views) && $allow_views == 1}
            <li><span> <i class="fa fa-eye"></i> {$dfxpost.views|escape:'htmlall':'UTF-8'}</span> </li>
            {/if}
            {if isset($allow_likes) && $allow_likes == 1}
            <li> <span class="post-likes"> <a href="{$dfxpost.url|escape:'htmlall':'UTF-8'}" class="dfxblog-like-button"> <i class="redfox-heart"></i> <span>{$dfxpost.likes|escape:'htmlall':'UTF-8'}</span> </a> </span> </li>
            {/if}
          </ul>
          <h5 class="blog-preview_title"><a class="name" href="{$dfxpost.url|escape:'htmlall':'UTF-8'}" title="{$dfxpost.name|escape:'htmlall':'UTF-8'}">{$dfxpost.name|escape:'htmlall':'UTF-8'}</a></h5>
          <div class="blog-preview_desc"> {$dfxpost.description_short|escape:'quotes':'UTF-8'|replace:"\'":"'"|escape:'htmlall':'UTF-8'|truncate:120:'...'} </div>
          <a class="btn btn-primary readmore" href="{$dfxpost.url|escape:'htmlall':'UTF-8'}" title="{l s='Read more' d='Modules.DfxBlog'}">{l s='Read more' d='Modules.DfxBlog'}</a> </div>
      </section>
      {/foreach} </div>
  </div>
</div>
{/if} 
<!-- /Latest Posts Block --> 
