/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

function comparingpro() {
    $('body').on('click', '.add-to-compare', function (event) {
		event.preventDefault();
	        var self = this;
				prestashop.emit('clickRedfoxCompareAdd', {
					dataset: self.dataset,
					self: self
				});
			 $(this).addClass('compare-added');
			compareButtonsStatusRefresh();
			
	    });
		
		$('body').on('click', '.compare-added', function (event) {
			event.preventDefault();
	        var self = this;
	        prestashop.emit('clickRedfoxCompareRemove', {
	            dataset: self.dataset,
				self: self
	        });
            compareButtonsStatusRefresh();
			
	    });

	    $('body').on('click', '.ajax-comparison-feature-remove', function (event) {
			event.preventDefault();
	        var self = this;
	        prestashop.emit('clickRedfoxCompareRemove', {
	            dataset: self.dataset,
				self: self
	        });
			compareButtonsStatusRefresh();
			
	    });
	
	    $('body').on('click', '.ajax-comparison-feature-remove-all', function (event) {
			event.preventDefault();
	        var self = this;
	        prestashop.emit('clickRedfoxCompareRemoveAll', {
	            dataset: self.dataset
	        });
	        
	    });


	    prestashop.on('clickRedfoxCompareAdd', function (elm) {
	        var data = {
	            'process': 'add',
	            'ajax': 1,
	            'idProduct': elm.dataset.idProduct
	        };
				$.post(elm.dataset.url, data, null, 'json').then(function (resp) {
						if (resp.success) {
							dfxcomparenb++;
							$('.dfxcompare-nb').text(dfxcomparenb);
							}
				}).fail(function (resp) {
					prestashop.emit('handleError', { eventType: 'clickRedfoxCompareAdd', resp: resp });
				});
			
	    });
		
		 
	    prestashop.on('clickRedfoxCompareRemove', function (elm) {
	
	        var data = {
	            'process': 'remove',
	            'ajax': 1,
	            'idProduct': elm.dataset.idProduct
	        };
	        $.post(elm.dataset.url, data, null, 'json').then(function (resp) {
	            $('.ajax_block_product-' + elm.dataset.idProduct).remove();
				$('.product-' + elm.dataset.idProduct).remove();
	            dfxcomparenb--;
	            $('.dfxcompare-nb').text(dfxcomparenb);
				 $('#redfoxcompare-warning').removeClass('hidden-xs-up');
	            if (dfxcomparenb == 0) {
	                $('#product_comparison').remove();
					$('#redfoxcompare-warning').removeClass('hidden');
	                $('.product_comparison-actions').remove();
	            }
    			$(elm.self).removeClass('compare-added');
	        }).fail(function (resp) {
	            prestashop.emit('handleError', { eventType: 'clickRedfoxCompareRemove', resp: resp });
	        });
	    });
	
	    prestashop.on('clickRedfoxCompareRemoveAll', function (elm) {
	
	        var data = {
	            'process': 'removeAll',
	            'ajax': 1
	        };
	
	        $.post(elm.dataset.url, data, null, 'json').then(function (resp) {
	            $('.dfxcompare-nb').text(0);
	            $('#product_comparison').remove();
				$('.product_comparison-actions').remove();
	            $('#redfoxcompare-warning').removeClass('hidden');
	        }).fail(function (resp) {
	            prestashop.emit('handleError', { eventType: 'clickRedfoxCompareRemove', resp: resp });
	        });
	    });

}

function compareButtonsStatusRefresh()
{
	$.each(in_compare, function(index, value)
    {
		$('.add-to-compare').each(function() {
          if (parseInt(value) === parseInt($(this).data('id-product'))) {
            $(this).addClass('compare-added');
          }
        });
	});
}
$(document).ready(function () {
	$('.dfxcompare-nb').text(dfxcomparenb);
	comparingpro();
	compareButtonsStatusRefresh();
});
