<?php
/**
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class DfxmenuRow extends ObjectModel
{
    public $id;
    public $id_dfxmenu;
    public $active;
    public $id_shop;

    public static $definition = array(
        'table' => 'dfxmenurow',
        'primary' => 'id_dfxmenurow',
        'fields' => array(
            'id_dfxmenu' => array('type' => self::TYPE_INT, 'shop' => true, 'validate' => 'isunsignedInt', 'required' => true),
            'active' => array('type' => self::TYPE_INT, 'shop' => true, 'validate' => 'isunsignedInt', 'required' => true),
        )
    );

    public function __construct($id_dfxmenu = null, $id_dfxmenurow = null, $id_lang = null, $id_shop = null, Context $context = null)
    {
        parent::__construct($id_dfxmenurow, $id_lang, $id_shop);
        
        if ($id_dfxmenu) {
            $this->id_dfxmenu = $id_dfxmenu;
        }
    }

    public function add($autodate = true, $null_values = false)
    {
        $context = Context::getContext();
        $id_shop = $context->shop->id;
        
        $res = parent::add($autodate, $null_values);
        $res &= Db::getInstance()->execute(
            '
			INSERT INTO `'._DB_PREFIX_.'dfxmenurow_shop` (`id_shop`, `id_dfxmenu`, `id_dfxmenurow`)
			VALUES('.(int)$id_shop.', '.(int)$this->id_dfxmenu.', '.(int)$this->id.')'
        );
        return $res;
    }

    public function delete()
    {
        $res = true;

        $res &= Db::getInstance()->execute(
            '
					DELETE FROM `'._DB_PREFIX_.'dfxmenurow_shop`
					WHERE `id_dfxmenurow` = '.(int)$this->id
        );
                
        $row_lists = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS('
			SELECT hs.*
			FROM '._DB_PREFIX_.'dfxmenucolumn hs
			WHERE hs.`id_dfxmenurow` = '.(int)$this->id);
            
        if (count($row_lists) > 0) {
            foreach ($row_lists as $row_list) {
                $res &= Db::getInstance()->execute(
                    '
					DELETE FROM `'._DB_PREFIX_.'dfxmenucolumn`
					WHERE `id_dfxmenucolumn` = '.$row_list['id_dfxmenucolumn']
                );

                $res &= Db::getInstance()->execute(
                    '
					DELETE FROM `'._DB_PREFIX_.'dfxmenucolumn_shop`
					WHERE `id_dfxmenucolumn` = '.$row_list['id_dfxmenucolumn']
                );
                
                $res &= Db::getInstance()->execute(
                    '
					DELETE FROM `'._DB_PREFIX_.'dfxmenucolumn_lang`
					WHERE `id_dfxmenucolumn` = '.$row_list['id_dfxmenucolumn']
                );
            }
        }
        
        $res &= parent::delete();
        return $res;
    }
}
