{**
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*}
<div class="panel">
	<h3><i class="icon-list-ul"></i> {l s='Dropdown Menu' d='Modules.DfxMegamenu.Admin'}
	<span class="panel-heading-action">
		<a id="desc-product-new" class="list-toolbar-btn" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&addRow=1">
			<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="Add new" data-html="true">
				<i class="process-icon-new "></i>
			</span>
		</a>
	</span>
	</h3>
	<div class="form-wrapper" id="MegamenuRowContent">
		{foreach from=$row_lists item=row_list name=row_list}
			<div class="megamenu-row container-fluid">
				<h4>{l s='DropdownMenu Rows' d='Modules.DfxMegamenu.Admin'} #{$smarty.foreach.row_list.iteration|intval}
                <a class="btn btn-default" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&id_dfxmenurow={$row_list.id_dfxmenurow|intval}">
						<i class="icon-edit"></i>{l s='Edit' d='Modules.DfxMegamenu.Admin'}
					</a>
					<a class="btn btn-default" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&id_dfxmenurow={$row_list.id_dfxmenurow|intval}&delete_row=1"><i class="icon-trash"></i>{l s='Delete' d='Modules.DfxMegamenu.Admin'}
					</a>
					{$row_list.status|escape:'quotes':'UTF-8'}
				</h4>
				<div class="megamenu-column-content">
					<a class="btn btn-default btn-lg button-new-item" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&id_dfxmenurow={$row_list.id_dfxmenurow|intval}&addCol=1"><i class="icon-plus-sign"></i>{l s='Add Column' d='Modules.DfxMegamenu.Admin'}
					</a>
                  <div style="clear:both; width:100%;"></div> 
                
					 <div class="megamenu-column" style="width:{$dropwidth};">
						  {if isset($row_list.menucolumns) && count($row_list.menucolumns) > 0}
                                    {foreach from=$row_list.menucolumns item=menucolumn name=menucolumn}
							<div id="col_{$menucolumn.id_dfxmenucolumn|intval}" class="menu-column  col-sm-{$menucolumn.width|escape:'html':'UTF-8'}">
							 <div class="col-edit-icons"> 
								<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="{l s='Delete Column' d='Modules.DfxMegamenu.Admin'}" data-html="true">
									<a class="trash-btn btn btn-default" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&id_dfxmenurow={$row_list.id_dfxmenurow|intval}&id_dfxmenucolumn={$menucolumn.id_dfxmenucolumn|intval}&delete_col=1">
										<i class="icon-trash"></i>
									</a>
									</span>
									<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="{l s='Edit Column' d='Modules.DfxMegamenu.Admin'}" data-html="true">
									<a class="edit-btn btn btn-default" href="{$link->getAdminLink('AdminModules')|escape:'html':'UTF-8'}&configure=dfxmegamenu&id_dfxmenu={$id_dfxmenu|intval}&id_dfxmenurow={$row_list.id_dfxmenurow|intval}&id_dfxmenucolumn={$menucolumn.id_dfxmenucolumn|intval}">
										<i class="icon-edit"></i>
									</a>
									</span>
                                  	{$menucolumn.status|escape:'quotes':'UTF-8'}
                                     <span class="title-column"> 
                                     
                                     <h4>
                                     
                                     {l s='Columns' d='Modules.DfxMegamenu.Admin'}#{$smarty.foreach.menucolumn.iteration|intval} 
                                     
                                     &nbsp;{$menucolumn.width|escape:'html':'UTF-8'}{l s='/12' d='Modules.DfxMegamenu.Admin'}</h4> </span>
							</div>
                               
                         <h4>{$menucolumn.title}</h4>
                        {if $menucolumn.content_type == 'category'}
 							<div class="bcategories">
                             {if $menucolumn.categories}
                          <ul class="megamenu-cat mega-menu">
                            {$menucolumn.categories|escape:'intval' nofilter}
                          </ul>
                          {/if}
                          </div>
                          {/if}
                          {if $menucolumn.content_type == 'product'}
							 {if $menucolumn.products}
                          <div class="products-grid product-miniature"> 
                          {foreach from=$menucolumn.products item=product name=products}
                            {include file="module:dfxmegamenu/views/templates/admin/product-mini.tpl" product=$product}
                            {/foreach} 
                            </div> {/if}
                          {/if}
                          {if $menucolumn.content_type == 'html'}
                          {if $menucolumn.htmlcontent}
                          <div class="html-content"> {$menucolumn.htmlcontent|escape:'intval' nofilter} </div>
                          {/if}
                          {/if}
                          
                          {if $menucolumn.content_type == 'manufacturer'}
                          {if $menucolumn.manufacture}
                             <div class="manufacturer-logo"> {foreach from=$menucolumn.manufacture item=manufacturer name=manufacturers}
                            <div class="logo-items">
                              <div class="logo"><a href="{$manufacturer.url}" title=""><img class="img-fluid" src="{$manufacturer.image}" alt="" /></a></div>
                            </div>
                            {/foreach} </div>{/if}
                          {/if}
                          {if $menucolumn.content_type == 'bannerimage'}
                          {if $menucolumn.banner_image}
                          	<div class="menu_banner_img">
                            {if $menucolumn.bannerlink}<a class="banner_link" href="{$menucolumn.bannerlink}">{/if}
                            <img src="{$menucolumn.banner_image}" title="banner"/>
                           {if $menucolumn.bannerlink} </a>{/if}
                            </div>
                         	{/if}
                         {/if}
                          {if $menucolumn.content_type == 'cms_link'}
                          {if $menucolumn.cmsHtml}
                                        <div class="cms_links"> {$menucolumn.cmsHtml|escape:'intval' nofilter} </div>
                                        {/if}
                          {/if} 
  
							</div>
                            
						{/foreach}
                        {/if}
					</div>
				</div>
			</div>
		{/foreach}
	</div>
	<div class="panel-footer">
		<a href="index.php?controller=AdminModules&amp;configure=dfxmegamenu&amp;token={$token|escape:'html':'UTF-8'}" class="btn btn-default">
		<i class="process-icon-back"></i> {l s='Back to list' d='Modules.DfxMegamenu.Admin'}</a>
	</div>
<script type="text/javascript">
		$(function() {
			var $myColumns = $("div.megamenu-column");
				$myColumns.sortable({
				opacity: 0.6,
				cursor: "move",
				update: function() {
					var order = $(this).sortable("serialize") + "&action=updateColumnsPosition";
					 $.post("{$url_base}modules/dfxmegamenu/ajax_dfxmegamenu.php?secure_key={$secure_key}", order);
					}
				});
				$myColumns.hover(function() {
					$(this).css("cursor","move");
					},
					function() {
					$(this).css("cursor","auto");
				});
		});
	</script>
</div>