/**
 * 2007-2021 PrestaShop SA and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2021 PrestaShop SA and Contributors
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 */

$(document).ready(function ()
{
if ($.cookie("dfxpopup") != "true") {
	var $popup = $('#dfx-popletter');

	setTimeout(function()
	{
		$popup.modal('show');
	$popup.on('hidden.bs.modal', function () {
        $popup.remove();
      });
	
		$("#dont_show_again").prop("checked") == false;
	}, 10000);
	
	function tryToSubscribe(email)
	{
		$.ajax({
			url: dfxpopup.newsletterControllerURL,
			type: 'POST',
			async: false,
			headers: {
			  'cache-control': 'no-cache'
			},
			data: {
			  'submitNewsletter': true,
              'email': email,
              'action': 0,
            },
			success: function(data)
			{
				// set defaults
				$('.mail-response').removeClass('alert-danger').removeClass('alert-success');

				response = jQuery.parseJSON(data);

				if (response)
				{
					if (response.dfxpopup_error)
					{
						$('.mail-response').removeClass('hidden').addClass('alert-danger');
					} else {
						$('.mail-response').removeClass('hidden').addClass('alert-success');
					}
					$('.mail-response span').text(response.dfxpopup_msg);
				}
			}
		});
	}

	$('.submit-newsletter').click(function(e)
	{
		e.preventDefault();
		var $inputGDPR = $(this).closest('.redfox-newsletter').find('#gdpr_consent'),
			email = $(this).closest('.redfox-newsletter').find('[name="email"]').val();

		if ($inputGDPR[0])
		{
			if ($inputGDPR.find('[name="psgdpr_consent_checkbox"]')[0].checked)
			{
				tryToSubscribe(email);
			} else {
				$('.mail-response').removeClass('hidden').addClass('alert-danger');
				$('.mail-response span').text(dfxpopup.msg.nogdpr);
			}
		} else {
			tryToSubscribe(email);
		}
	});
	}
	$('#dont_show_again').change(function(){

	    if($(this).is(':checked')){

		$.cookie("dfxpopup", "true");
		
	    } else{

		$.cookie("dfxpopup", "false");

	    }

	});

});