{*
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*}

<form action="" method="post">
	<div class="panel mainDiv">
		<input type="hidden" name="tabid" id="tabid"  value=""/>
		<input type="hidden" name="selProduct" id="selProduct"  value=""/>
		<input type="hidden" name="ajaxPath" id="ajaxPath"  value="{$ajaxPath}"/>
		<h3><i class="icon-list-ul"></i> {l s='Configure Display' d='Modules.DfxTabproducts.Admin'}</h3>
		<div class="sections_column">
			<div class="create_section"	>
				<ul id="sortable" class="tabs ui-sortable">
		{foreach from=$tabs item=tab}
			<li id="{$tab.id_tab}" class="section_tab"><div><a href="#div_{$tab.id_tab}" class="tab_head">{$tab.alias_name}</a><span class="cross btn btn-danger" id="del_{$tab.id_tab}"> <i class="icon-remove"></i> </span></div></li>
		{/foreach}
				</ul>
			</div>
			<div class="tab_container">
			{foreach from=$tabs item=tab}
				<div id="div_{$tab.id_tab}" class="prodTabs">					
					<div class="form-group">
						
						<div class="form-group col-lg-9">
						{foreach from=$languages item=language}
							{if $languages|count > 1}
								<div class="translatable-field lang-{$language.id_lang}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if} >
							{/if}
							<div class="col-lg-3">
								{l s='Tab Name' d='Modules.DfxTabproducts.Admin'}
							</div>
							<div class="col-lg-3">
								<div class="input-group">
									<input id="aliasname_{$tab.id_tab}_{$language.id_lang}" type="text" name="aliasname_{$tab.id_tab}_{$language.id_lang}" value="{$tabAlias.{$tab.id_tab}.{$language.id_lang}}" />
								</div>
							</div>
							{if $languages|count > 1}
								<div class="col-lg-3">
									<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
										{$language.iso_code}
										<span class="caret"></span>
									</button>
									<ul class="dropdown-menu">
										{foreach from=$languages item=lang}
										<li><a href="javascript:hideOtherLanguage({$lang.id_lang});" tabindex="-1">{$lang.name}</a></li>
										{/foreach}
									</ul>
								</div>
							{/if}
							{if $languages|count > 1}
								</div>
							{/if}				
						{/foreach}
						</div>
						<div class="form-group col-lg-9">
							<div class="col-lg-3">
								{l s='Status' d='Modules.DfxTabproducts.Admin'}
							</div>
							<div class="col-lg-3">
								<span class="switch prestashop-switch fixed-width-lg">
									<input type="radio" name="status_{$tab.id_tab}" id="active_slide_on_{$tab.id_tab}" value="1" {if {$tab.status} == 1}checked="checked"{/if} />
									<label for="active_slide_on_{$tab.id_tab}">{l s='Enable' d='Modules.DfxTabproducts.Admin'}</label>
									<input type="radio" name="status_{$tab.id_tab}" id="active_slide_off_{$tab.id_tab}" value="0" {if {$tab.status} == 0}checked="checked"{/if} />
									<label for="active_slide_off_{$tab.id_tab}">{l s='Disable' d='Modules.DfxTabproducts.Admin'}</label>
									<a class="slide-button btn"></a>
								</span>			
							</div>
						</div>
						<div class="form-group col-lg-9">
							<div class="col-lg-3">{l s='Number of products to be displayed' d='Modules.DfxTabproducts.Admin'}</div>
							<div class="col-lg-3">
								<input type="text" name="prod_count_{$tab.id_tab}" id="prod_count_{$tab.id_tab}"  value="{$tab.prod_count}" style="width:100px;"/>
							</div>
							
						</div>
						<div class="form-group col-lg-9">
							<div class="col-lg-9">{l s='Set the number of products that you would like to display on homepage (default: 8).' d='Modules.DfxTabproducts.Admin'}</div>
						</div>
						<input type="hidden" name="type_{$tab.id_tab}" value="{$tab.tab_type}" />
					</div>
					
					{if $tab.tab_type == "manual"}
						<div class="form-group col-lg-9">{l s='Manual Products' d='Modules.DfxTabproducts.Admin'}</div>
						<div class="form-group col-lg-9">
							<div class="form-group col-lg-3">
								<h4>{l s='Available products' d='Modules.DfxTabproducts.Admin'}</h4>
								<select name="prodList_{$tab.id_tab}" id="prodList_{$tab.id_tab}" multiple="multiple" style="width:200px; height: 160px;">
									{foreach from=$res_all_prod item=prod}
										{if $prod.active == 1}
											<option value="{$prod.id_product}">{$prod.name}</option>
										{/if}
									{/foreach}							
								</select>
							</div>
							
							<div class="form-group col-lg-3">
								<h4>{l s='Selected products' d='Modules.DfxTabproducts.Admin'}</h4>
								<select name="selProdList_{$tab.id_tab}" id="selProdList_{$tab.id_tab}" class="selProdList" multiple="multiple" style="width:200px; height: 160px;">
                               	{if !empty($customPrds.{$tab.id_tab})}
                                    {foreach from=$customPrds.{$tab.id_tab} item=id_product}									
                                        <option value="{$id_product}">{$prodList.{$id_product}}</option>	
                                    {/foreach}
                                {/if}
								</select>
							</div>
							
						</div>
						<div class="row">
							<div class="col-lg-4"><button type="button" name="addProd_{$tab.id_tab}" id="addProd_{$tab.id_tab}" class="addProd btn btn-success">
							{l s='Add' d='Modules.DfxTabproducts.Admin'}<i class="icon-arrow-right"></i></button></div>
							<div class="col-lg-4"><button type="button" name="remProd_{$tab.id_tab}" id="remProd_{$tab.id_tab}" class="remProd btn btn-danger"><i class="icon-arrow-left"></i>{l s='Remove' d='Modules.DfxTabproducts.Admin'}</button></div>
						</div>					
					{/if}
					 
						<div class="col-lg-12">
							<div class="panel-footer">
								<button type="submit" name="submitTab_{$tab.id_tab}" id="submitTab_{$tab.id_tab}" value="" class="submitTab btn btn-default pull-right"><i class="process-icon-save"></i>{l s='Save' d='Modules.DfxTabproducts.Admin'}</button>
							</div>
						</div>
					
					
				</div>
			{/foreach}
			</div>
		</div>	
	</div>
</form>