/*
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */
$(document).ready(function (e) {
  var isRepeat = true;
  var storage;
  $(document).on("scroll", function () {
    if (isRepeat) {
      isRepeat = false;
      $(themecontrollerURL).insertAfter("main");

      $("body").addClass("live");

      $(document).on("click", "#gear-right", function (e) {
        var themeOptionWrapper = $("#tool_customization");
        if (themeOptionWrapper.hasClass("open-panel")) {
          themeOptionWrapper.removeClass("open-panel");
          $("#tool_customization").removeClass("open-panel");
        } else {
          themeOptionWrapper.addClass("open-panel");
          $("#tool_customization").addClass("open-panel");
        }
      });

      storage = $.localStorage;

      $(
        '<div class="body-bg"></div><div class="topnav-bg"></div><div class="header-bg"></div><div class="menu-bg"></div><div class="primary-bg"></div><div class="secondary-bg"></div><div class="sale-bg"></div><div class="new-bg"></div><div class="footer-bg"></div>'
      )
        .insertAfter("main")
        .wrapAll('<div class="custom-colors"></div>');

      $(".configure_content").css("display", "none");

      $(document).on("click", ".configure_title", function (e) {
        $(".configure_title").not(this).removeClass("open");
        $(".configure_title").not(this).next().slideUp(300);
        $(this).toggleClass("open");
        $(this).next().slideToggle(300);
      });

      $(".background_pattern").slideUp();
      if (bodywidth == "1") {
        $(".body_width").attr("checked", true);
        storage.set("boxlayout", true);
      }
      $(".body_width").on("click", function (e) {
        if ($(this).prop("checked") == true) {
          $("main").addClass("boxed_layout");
          $("main").removeClass("full_width");
          storage.set("boxlayout", true);
          $(".background_pattern").slideDown();
        } else {
          $("main").addClass("full_width");
          $("main").removeClass("boxed_layout");
          storage.set("boxlayout", false);
          $(".background_pattern").slideUp();
        }
      });

      if (storage.get("boxlayout") == true) {
        $("main").addClass("boxed_layout");
        $("main").removeClass("full_width");
        $(".body_width").prop("checked", true);
        $(".background_pattern").slideDown();
      }
      if (storage.get("boxlayout") == false) {
        $("main").addClass("full_width");
        $("main").removeClass("boxed_layout");
        $(".body_width").prop("checked", false);
        $(".background_pattern").slideUp();
      }

      /*************** Start Font *********************/
      function replaceAll(str, find, replace) {
        return str.replace(new RegExp(find, "g"), replace);
      }

      $('<div class="redfox-title-font"></div>').insertAfter("main");

      $("#fontchoose").on("change", function () {
        var selectedfont = $(this).val();
        $(".redfox-title-font").html("");
        var returnResult = "";
        var path = "";
        var linkpath = "";
        $.get(
          baseDir + "modules/dfxthemeoptions/views/css/title-font-style.css",
          function (data) {
            linkpath = $("#fontchoose option:selected").attr("data-link");
            path = "@import url(" + linkpath + ");";
            data = replaceAll(
              data,
              "#header_fonts",
              $("#fontchoose option:selected").attr("title")
            );

            returnResult += path + " " + data;

            storage.set("titlefonts", returnResult);
            storage.set("titlevalue", selectedfont);

            $(".redfox-title-font").html("<style>" + returnResult + "</style>");
          }
        );
      });

      if (
        storage.get("titlevalue") != "" &&
        storage.get("titlevalue") != undefined
      ) {
        $("#fontchoose").val(storage.get("titlevalue"));
      } else {
        var DefResult = $("#fontchoose").find("option:selected").val();
        $("#fontchoose").val(DefResult);
      }
      if (
        storage.get("titlefonts") != "" &&
        storage.get("titlefonts") != undefined
      ) {
        $(".redfox-title-font").html(
          "<style>" + storage.get("titlefonts") + "</style>"
        );
      } else {
        $(".redfox-title-font").html("");
      }

      $('<div class="redfox-content-font"></div>').insertAfter("main");
      $("#contentfonts").on("change", function () {
        var selectedfont = $(this).val();
        $(".redfox-content-font").html("");
        var returnResult = "";
        var path = "";
        var linkpath = "";
        $.get(
          baseDir + "modules/dfxthemeoptions/views/css/content-font-style.css",
          function (data) {
            linkpath = $("#contentfonts option:selected").attr("data-link");
            path = "@import url(" + linkpath + ");";
            data = replaceAll(
              data,
              "#content_fonts",
              $("#contentfonts option:selected").attr("title")
            );

            returnResult += path + " " + data;
            storage.set("contentfonts", returnResult);
            storage.set("contentvalue", selectedfont);
            $(".redfox-content-font").html(
              "<style>" + returnResult + "</style>"
            );
          }
        );
      });

      if (
        storage.get("contentvalue") != "" &&
        storage.get("contentvalue") != undefined
      ) {
        $("#contentfonts").val(storage.get("contentvalue"));
      } else {
        var DefResult = $("#contentfonts").find("option:selected").val();
        $("#contentfonts").val(DefResult);
      }

      if (
        storage.get("contentfonts") != "" &&
        storage.get("contentfonts") != undefined
      ) {
        $(".redfox-content-font").html(
          "<style>" + storage.get("contentfonts") + "</style>"
        );
      } else {
        $(".redfox-content-font").html("");
      }
      /************* End of font***************************/
      /**************Color Configuration*********************/
      function idealTextColor(bgcolor) {
        if (typeof bgcolor == "undefined" || bgcolor == "transparent")
          return "#000000";
        val = getRGBtoHex(bgcolor);
        return parseInt(val.substr(1, 2), 16) +
          parseInt(val.substr(3, 2), 16) +
          parseInt(val.substr(5, 2), 16) <
          600
          ? "#ffffff"
          : "#000000";
      }

      function idealTextColor2(bgcolor) {
        if (typeof bgcolor == "undefined" || bgcolor == "transparent")
          return "#000000";
        val = getRGBtoHex(bgcolor);
        return parseInt(val.substr(1, 2), 16) +
          parseInt(val.substr(3, 2), 16) +
          parseInt(val.substr(5, 2), 16) <
          600
          ? bgcolor
          : "#000000";
      }

      function getRGBtoHex(color) {
        color = color.toString().toLowerCase();
        if (typeof color == "undefined") return "";
        if (color.indexOf("#") > -1 && color.length > 6) return color;
        if (color.indexOf("rgb") < 0) return color;
        if (color.indexOf("#") > -1) {
          return (
            "#" +
            color.substr(1, 1) +
            color.substr(1, 1) +
            color.substr(2, 1) +
            color.substr(2, 1) +
            color.substr(3, 1) +
            color.substr(3, 1)
          );
        }
        var hexArray = [
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "a",
            "b",
            "c",
            "d",
            "e",
            "f",
          ],
          decToHex = "#",
          code1 = 0;
        color = color.replace(/[^0-9,]/g, "").split(",");
        for (var n = 0; n < color.length; n++) {
          code1 = Math.floor(color[n] / 16);
          decToHex += hexArray[code1] + hexArray[color[n] - code1 * 16];
        }
        return decToHex;
      }
function hexToRGB(hex, alpha) {
    var r = parseInt(hex.slice(1, 3), 16),
        g = parseInt(hex.slice(3, 5), 16),
        b = parseInt(hex.slice(5, 7), 16);

    if (alpha) {
        return "rgba(" + r + ", " + g + ", " + b + ", " + alpha + ")";
    } else {
        return "rgb(" + r + ", " + g + ", " + b + ")";
    }
}
      function ColorLuminance(hex, lum) {
        // validate hex string
        hex = String(hex).replace(/[^0-9a-f]/gi, "");
        if (hex.length < 6) {
          hex = hex[0] + hex[0] + hex[1] + hex[1] + hex[2] + hex[2];
        }
        lum = lum || 0;

        // convert to decimal and change luminosity
        var rgb = "#",
          c,
          i;
        for (i = 0; i < 3; i++) {
          c = parseInt(hex.substr(i * 2, 2), 16);
          c = Math.round(Math.min(Math.max(0, c + c * lum), 255)).toString(16);
          rgb += ("00" + c).substr(c.length);
        }

        return rgb;
		
      }

      var defaultcolor = $("#predefined option:selected").attr("value");

      function colorselected(obj) {
        var targetBox = $(".customcolor" + obj);
        $(targetBox).show();
        minicolor(obj);
        setCustomeTheme(obj);
        $(".colorcontainer").not(targetBox).hide();
      }

      var activeTheme = storage.get("activeTheme");
      if (!activeTheme) {
        colorselected(defaultcolor);
      }
      if (activeTheme) {
        $(".customcolor" + storage.get("activeTheme")).show();
        $("#predefined").val(storage.get("activeTheme"));
        minicolor(activeTheme);
        setCustomeTheme(activeTheme);
      }

      $("#predefined").on("change", function (e) {
        e.preventDefault();
        var themenum = $(this).val();

        storage.set("activeTheme", themenum);
        colorselected(themenum);
      });
      function setCustomeTheme(num) {
        if (storage.get(num + "_body_bg")) {
          body_bg(this, num);
          $("#" + num + "_body_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_body_bg"));
        } else {
          body_bg($("#" + num + "_body_bg").attr("value"), num);
        }
        if (storage.get(num + "_topnav_bg")) {
          topnav_bg(this, num);
          $("#" + num + "_topnav_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_topnav_bg"));
        } else {
          topnav_bg($("#" + num + "_topnav_bg").attr("value"), num);
        }
        if (storage.get(num + "_header_bg")) {
          header_bg(this, num);
          $("#" + num + "_header_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_header_bg"));
        } else {
          header_bg($("#" + num + "_header_bg").attr("value"), num);
        }
        if (storage.get(num + "_setmenu_bg")) {
          menu_bg(this, num);
          $("#" + num + "_menu_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_setmenu_bg"));
        } else {
          menu_bg($("#" + num + "_menu_bg").attr("value"), num);
        }
        if (storage.get(num + "_primary_bg")) {
          primary_bg(this, num);
          $("#" + num + "_primary")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_primary_bg"));
        } else {
          primary_bg($("#" + num + "_primary").attr("value"), num);
        }
        if (storage.get(num + "_secondary_bg")) {
          secondary_bg(this, num);
          $("#" + num + "_secondary")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_secondary_bg"));
        } else {
          secondary_bg($("#" + num + "_secondary").attr("value"), num);
        }
        if (storage.get(num + "_sale_bg")) {
          sale_bg(this, num);
          $("#" + num + "_sale_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_sale_bg"));
        } else {
          sale_bg($("#" + num + "_sale_bg").attr("value"), num);
        }
        if (storage.get(num + "_new_bg")) {
          new_bg(this, num);
          $("#" + num + "_new_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_new_bg"));
        } else {
          new_bg($("#" + num + "_new_bg").attr("value"), num);
        }
        if (storage.get(num + "_footer_bg")) {
          footer_bg(this, num);
          $("#" + num + "_footer_bg")
            .parent()
            .find(".minicolors-swatch-color")
            .css("background-color", storage.get(num + "_footer_bg"));
        } else {
          footer_bg($("#" + num + "_footer_bg").attr("value"), num);
        }
      }

      function minicolor(num) {
        $("#" + num + "_body_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            body_bg(hex, num);
            storage.set(num + "_body_bg", hex);
            $("body").css("background-image", "none");
            $("#" + num + "_body_bg").attr("value", hex);
          },
        });
        $("#" + num + "_topnav_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            topnav_bg(hex, num);
            storage.set(num + "_topnav_bg", hex);
            $("#" + num + "_topnav_bg").attr("value", hex);
          },
        });
        $("#" + num + "_header_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            header_bg(hex, num);
            storage.set(num + "_header_bg", hex);
            $("#" + num + "_header_bg").attr("value", hex);
          },
        });
        $("#" + num + "_menu_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            menu_bg(hex, num);
            storage.set(num + "_setmenu_bg", hex);
            $("#" + num + "_menu_bg").attr("value", hex);
          },
        });
        $("#" + num + "_primary").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            primary_bg(hex, num);
            storage.set(num + "_primary_bg", hex);
            $("#" + num + "_primary").attr("value", hex);
          },
        });

        $("#" + num + "_secondary").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            secondary_bg(hex, num);
            storage.set(num + "_secondary_bg", hex);
            $("#" + num + "_secondary").attr("value", hex);
          },
        });
        $("#" + num + "_sale_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            sale_bg(hex, num);
            storage.set(num + "_sale_bg", hex);
            $("#" + num + "_sale_bg").attr("value", hex);
          },
        });
        $("#" + num + "_new_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            new_bg(hex, num);
            storage.set(num + "_new_bg", hex);
            $("#" + num + "_new_bg").attr("value", hex);
          },
        });
        $("#" + num + "_footer_bg").minicolors({
          keywords: "transparent",
          change: function (hex, rgb) {
            footer_bg(hex, num);
            storage.set(num + "_footer_bg", hex);
            $("#" + num + "_footer_bg").attr("value", hex);
          },
        });
      }

      function body_bg(prop, num) {
        $(".body-bg").html(
          "<style>body { background-color: " + prop + " !important;}</style>"
        );
      }
      function topnav_bg(prop, num) {
        $(".topnav-bg").html(
          "<style>#header .header-nav { background-color: " +
            prop +
            " !important;} #header .dropdown .expand-more, #header .header-nav .material-icons.expand_more, #header .header-nav #call-link, #header .header-nav .user-info a, #header #contact-link a, .right-nav .account-dropdown a.account, .right-nav .account-dropdown a.account i, #header .mobile_nav_right a.account, .header-nav .right-nav a.user-info { color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }
      function header_bg(prop, num) {
        $(".header-bg").html(
          "<style>#header .header-top { background-color: " +
            prop +
            " !important;} .cartshop span.cart-empty, .cartshop .ajax_cart_total, #header .wishtlistTop a i.redfox-heart, .menu-trigger .redfox-menu, #header_part .blockcart i.redfox-shopping-bag, #header i.redfox-media-shuffle, #header #_mobile_user_info .account-login i.redfox-user { color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }
      function menu_bg(prop, num) {
        $(".menu-bg").html(
          "<style>.menu_bg {background-color: " +
            prop +
            " !important; } .menu_bg .jetmenu .indicator {border-top-color: " +
            idealTextColor(prop) +
            " !important; }.menu_bg .jetmenu > li > a { color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }

      function primary_bg(prop, num) {
        $(".primary-bg").html(
          '<style>.btn-primary, .jetmenu > li > a:before, #header_part .price_circle, .wishtlist_top .wishlist-nb, #header .dfxcompare-nb, .block-categories li a.h6, .viewed-products h2:after, .manufacture_title h2:after, .footer-container h4:after, #social_block li.in:hover, #social_block li.twitter:hover, #social_block li.pinterest:hover, #social_block li.youtube:hover, #social_block li.googleplus:hover, #social_block li.facebook:hover, #search_filters .ui-widget-header, #search_filters .ui-slider .ui-slider-handle, .products-sort-order .select-list:hover, .has-discount .discount, .content_scene_cat span.category-name:after, .owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span, #blockcart-modal .modal-header,  .btn.disabled:hover, .bootstrap-touchspin .btn-touchspin:hover, .owl-theme .owl-nav button.owl-prev:hover, .owl-theme .owl-nav button.owl-next:hover, .block_newsletter form input.btn-primary:hover, .remove-from-cart:hover i, .btn-primary.disabled.focus, .btn-primary.disabled:focus, .btn-primary.disabled:hover, .btn-primary:disabled.focus, .btn-primary:disabled:focus, .btn-primary:disabled:hover, .product-details .product-add-to-cart .button-compare-add, .modal.quickview .button-compare-add, .search-widget form button[type="submit"], #products .up .btn-secondary:hover, #products .up .btn-tertiary:hover, .btn-secondary:hover, .btn-tertiary:hover, .menu_bg .jetmenu > li.home-ico > a, .casual_tabs.full_tab ul.casual_title li.selected a, .page-home .tab-homeproducts.full_tab li.tab-homeproduct.selected a, .page-home .tab-homeproducts.full_tab li.tab-homeproduct:hover a, .casual_tabs.full_tab ul.casual_title li:hover a, .simple-slider .owl-item.active .btn, .xibanner-column a.item-link button.btn, .border_inside .cartbottom_btn div a, .border_inside .cartbottom_btn button { background-color: ' +
            prop +
            " !important;} .menu_bg .jetmenu > li:hover .indicator { border-top-color: " +
            idealTextColor(prop) +
            ' !important;} .btn-primary, .menu_bg .jetmenu > li > a:hover, .menu_bg .jetmenu > li:focus > a, .menu_bg .jetmenu > li:hover > a, #header_part .price_circle, .wishtlist_top .wishlist-nb, #header .dfxcompare-nb, .products-sort-order .select-list:hover, .category-top-menu > li > a.h6:before, .has-discount .discount, .mobile-menu-cetegories, #blockcart-modal .modal-title, body.absolute_header #header_part #_mobile_cart .blockcart i,  .btn.disabled:hover, .bootstrap-touchspin .btn-touchspin:hover, .owl-theme .owl-nav button.owl-next:hover:before, .owl-theme .owl-nav button.owl-prev:hover:before, .block_newsletter form input.btn-primary:hover, .remove-from-cart:hover i, .cart_block_ajax .cartmodal-btn a:hover, .search-widget form button[type="submit"], #products .up .btn-secondary:hover, #products .up .btn-tertiary:hover, .btn-secondary:hover, .btn-tertiary:hover, .menu_bg .jetmenu > li.home-ico > a, .casual_tabs.full_tab ul.casual_title li.selected a, .page-home .tab-homeproducts.full_tab li.tab-homeproduct.selected a, .page-home .tab-homeproducts.full_tab li.tab-homeproduct:hover a, .casual_tabs.full_tab ul.casual_title li:hover a, .simple-slider .owl-item.active .btn, .xibanner-column a.item-link button.btn, .border_inside .cartbottom_btn div a, .border_inside .cartbottom_btn button, .product-details .product-add-to-cart .button-compare-add i, .modal.quickview .button-compare-add i, .category-item .cat_name, .offer-container h2, .category-item a { color: ' +
            idealTextColor(prop) +
            " !important;} .tabs .nav-tabs .nav-link.active, .dropdown-menu, body#checkout section.checkout-step .address-item.selected, .product-images > li.thumb-container > .thumb.selected, .product-images > li.thumb-container > .thumb:hover, .casual_tabs.auto_tab ul.casual_title li.selected, .tab-homeproducts.auto_tab ul.nav-tabs li.tab-homeproduct.selected, .top_catlink .category-item:hover, #product-modal .modal-content .modal-body .product-images img:hover { border-color: " +
            idealTextColor2(prop) +
            " !important;}.product-customization .product-message:focus { outline-color: " +
            idealTextColor2(prop) +
            " !important;} .category-title, .footer-featured-products .fproducts_price .price, .redfoxsocial_block li:hover h4, .redfoxsocial_block li:hover p, #search_filters .facet .facet-title, #search_filters_brands .facet .facet-title, #search_filters_suppliers .facet .facet-title, .cart_block_ajax .product-quantity, .cart-grid-body a.label:hover, .dropdown-item:focus, .dropdown-item:hover, .menu_bg .megamenu.dropmenu .product-miniature .product-title a:hover, .menu_bg .megamenu.dropmenu .products-grid.megaproducts-short .border_inside .product-title a:hover, .right-nav .account-dropdown a.account:hover, .right-nav .account-dropdown a.account:hover i, .cart_block_list .remove-from-cart:hover:before, #header .dropdown button.btn-unstyle:hover .expand-more, #header .header-nav button.btn-unstyle:hover .material-icons.expand_more, #header .header-nav #call-link:hover, #header .header-nav .account-dropdown a:hover, #header #contact-link a:hover, #header .account-dropdown a.account:hover, .page-my-account #content .links a:hover i, .header-nav a.user-info:hover { color: " +
            idealTextColor2(prop) +
            " !important;} .product-images > li.thumb-container > .thumb.selected, .product-miniature .product-images li.act { border-color: " +
            idealTextColor2(prop) +
            " !important;} #products .product-price-and-shipping .price, .featured-products .product-price-and-shipping .price, .product-accessories .product-price-and-shipping .price, .product-miniature .product-price-and-shipping .price, #product .product-price .current-price, .cart_block_ajax .cart-summary-line .value, .cart_block_ajax .cart-info .price, .product-price .current-price, .product-line-grid-right .cart-line-product-actions, .product-line-grid-right .product-price, .cart-summary-line .value, .product-price, .ui-corner-all span.price, .category-wrap .subcategory li a:hover, .product-title a:hover, .footer-container li a:hover, .footer-featured-products .product-miniature .product-title a:hover, .jetmenu li > .megamenu .cms_links li:hover a, .minify-dropdown li.current a, .minify-dropdown a:hover, .megamenu.dropmenu .col-title a:hover, .megamenu .bcategories ul li:focus a, .megamenu .bcategories ul li a:focus, .megamenu.dropmenu .product-miniature .product-title a:focus, .subcatlink .categories-tree .child-category li a:focus, .menu_bg .jetmenu li > .megamenu .bcategories ul li a:hover { color: " +
            idealTextColor2(prop) +
            " !important;} *::selection {background-color: " +
            prop +
            " !important; color: " +
            idealTextColor(prop) +
            " !important;} .border_inside .cartbottom_btn div a:hover, .border_inside .cartbottom_btn button:hover, .btn-primary.focus, .btn-primary:focus, .btn-primary.active, .btn-primary:active, .btn-primary:hover, .btn-primary.active:focus, .btn-primary.active:focus, .btn-primary.active:hover, .btn-primary:active.focus, .btn-primary:active:focus, .btn-primary:active:hover, .open>.btn-primary.dropdown-toggle.focus, .open>.btn-primary.dropdown-toggle:focus, .open>.btn-primary.dropdown-toggle:hover, .btn-primary.add-to-cart:hover, .btn-primary.add-to-cart:focus:hover, .btn-primary.add-to-cart:hover:focus, .btn-primary.add-to-cart:focus, .product-details .product-add-to-cart .button-compare-add:hover, .modal.quickview .button-compare-add:hover {background-color: " +
            ColorLuminance(prop, -0.2) +
            " !important; color: " +
            idealTextColor(ColorLuminance(prop)) +
            " !important;} .product-details .product-add-to-cart .button-compare-add:hover i, .modal.quickview .button-compare-add:hover i {color: " +
            idealTextColor(ColorLuminance(prop)) +
            " !important;} .category-item {background-color: " + prop + " !important;}</style>"
        );
      }

      function secondary_bg(prop, num) {
        $(".secondary-bg").html(
          "<style>.btn.disabled, .bootstrap-touchspin .btn-touchspin, .input_qty .bootstrap-touchspin .btn-touchspin, .block_newsletter form input.btn-primary, .remove-from-cart i, .bootstrap-touchspin .group-span-filestyle .btn-touchspin, .group-span-filestyle .bootstrap-touchspin .btn-touchspin, .group-span-filestyle .btn-default, #products .up .btn-secondary, #products .up .btn-tertiary, .btn-secondary, .btn-tertiary, .compare-added:after, .wishlist_added:after, .add-to-cart.is-added:after { background-color: " +
            prop +
            " !important;} .btn.disabled, .bootstrap-touchspin .btn-touchspin, .input_qty .bootstrap-touchspin .btn-touchspin, .block_newsletter form input.btn-primary, .remove-from-cart i, .bootstrap-touchspin .group-span-filestyle .btn-touchspin, .group-span-filestyle .bootstrap-touchspin .btn-touchspin, .group-span-filestyle .btn-default, .cart_block_ajax .cartmodal-btn a, #products .up .btn-secondary, #products .up .btn-tertiary, .btn-secondary, .btn-tertiary, .compare-added:after, .wishlist_added:after, .add-to-cart.is-added:after { color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }
      function sale_bg(prop, num) {
        $(".sale-bg").html(
          "<style>.product-flags li.product-flag.on-sale, .product-flags li.product-flag.discount, .product-flags li.product-flag.discount-amount, .product-flags li.product-flag.discount-percentage { background-color: " +
            prop +
            " !important; color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }
      function new_bg(prop, num) {
        $(".new-bg").html(
          "<style>.product-flags li.new { background-color: " +
            prop +
            " !important; color: " +
            idealTextColor(prop) +
            " !important;}</style>"
        );
      }
      function footer_bg(prop, num) {
        $(".footer-bg").html(
          "<style>.footer-container, .footer_before { background-color: " +
            prop +
            " !important;} .footer_before h4, .footer-container h3, .footer-container h4, .footer-container h3 a, #block_myaccount_infos .myaccount-title a, .footer-container li a, .footer-container .block-contact li, .block_newsletter p.newsletter-content, .block_newsletter #gdpr_consent span, .footer-featured-products .product-miniature .product-title a, .bottom-footer a, .footer-container .collapse-icons .add, .footer-container .collapse-icons .remove, .footer-container .links ul > li a { color: " +
            idealTextColor(prop) +
            " !important;} </style>"
        );
      }

      $('#pattern_box input[type="radio"]').change(function () {
        if ($(this).prop("checked") == true) {
          if ($(this).val() == "pattern35") {
            var bg_cutomimage = $(this).val();
            var customimg = "url(" + pattern_url + bg_cutomimage + ".jpg)";
            storage.set("body_image", bg_cutomimage);
            $("body")
              .css("background-image", customimg)
              .css("background-position", "top center")
              .css("background-repeat", "repeat")
              .css("background-attachment", "fixed");
          } else if ($(this).val() == 0) {
            storage.set("body_image", "");
            $("body").css("background-image", "none");
          } else {
            var pattern = $(this).val();
            var bg_image = "url(" + pattern_url + pattern + ".png)";
            $("body")
              .css("background-image", bg_image)
              .css("background-position", "top center")
              .css("background-repeat", "repeat")
              .css("background-attachment", "fixed");
            storage.set("body_image", pattern);
            $("body").css("background-color", "");
          }
        }
      });

      if (!storage.get("body_image") == "") {
        var pattern = storage.get("body_image");
        if (pattern == "pattern35") {
          var bg_image = "url(" + pattern_url + pattern + ".jpg)";
          $("body")
            .css("background-image", bg_image)
            .css("background-position", "top center")
            .css("background-repeat", "repeat")
            .css("background-attachment", "fixed");
        } else if (pattern == "0") {
          storage.set("body_image", "");
        } else {
          var bg_image2 = "url(" + pattern_url + pattern + ".png)";
          $("body")
            .css("background-image", bg_image2)
            .css("background-position", "top center")
            .css("background-repeat", "repeat")
            .css("background-attachment", "fixed");
        }

        $("body").css("background-color", "");
      }

      function resetConfiguration() {
        storage.removeAll(true);
        storage.set("titlevalue", "");
        storage.set("titlefonts", "");
        storage.set("contentvalue", "");
        storage.set("contentfonts", "");
      }

      $(".resetconfig").on("click", function (e) {
        resetConfiguration();
        console.log(window.location);
        window.location.reload(true);
      });
    }
  });
});
