{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com> *  @copyright  2007-2021 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
* 
*}
<div id="tool_customization">
<div id="gear-right"> <i class="fa fa-cogs" aria-hidden="true"></i> </div>
  <div class="panel_title">Customization Tool</div>
  <div class="customization_panel">
      <div class="configure_title content-close open"> General Options </div>
    <div id="boxlayout" class="configure_content">
      <div class="form-wrapper">
        <div class="form-group">
          <div class="col-lg-7 lablet"> Box Layout </div>
          <div class="col-lg-5">
            <label class="switch">
              <input name="body_width" type="checkbox" class="body_width">
              <span class="slider"></span> </label>
          </div>
        </div>
      </div>
    </div>
    <div class="configure_title content-close"> {l s='Fonts' d='Modules.DfxThemeoptions'}</div>
    <div id="font-box" class="configure_content">
      <div class="form-wrapper">
        <div class="form-group">
          <div class="lablet col-lg-5">{l s='Title font' d='Modules.DfxThemeoptions'}</div>
          <div class="col-lg-7">
            <select name="fontchoose" id="fontchoose" class="font-list">
				{foreach $allfonts as $key => $font}
              <option value="{$key|escape:'htmlall':'UTF-8'}" title="{$font.name}" data-link="{$font.link}" {if $title_font == $key} selected="selected" {/if}>{$font.name}</option>
				{/foreach}
            </select>
          </div>
        </div>
        <span class="tips">custom font: Just copy paste method we can add any fonts from backoffice</span> </div>
      <div class="form-wrapper">
        <div class="form-group">
          <div class="lablet col-lg-5">{l s='Content font' d='Modules.DfxThemeoptions'}</div>
          <div class="col-lg-7">
            <select name="contentfonts" id="contentfonts" class="font-list">
				{foreach $allfonts as $key => $font}
              <option value="{$key|escape:'htmlall':'UTF-8'}" title="{$font.name}" data-link="{$font.link}" {if $content_font == $key} selected="selected" {/if}>{$font.name}</option>
				{/foreach}
            </select>
          </div>
        </div>
        <span class="tips">custom font: Just copy paste method we can add any fonts from backoffice</span> </div>
    </div>
    <div class="configure_title content-close">{l s='Color Configurator' d='Modules.DfxThemeoptions'}</div>
    <div class="configure_content">
      <div class="form-wrapper">
        <div class="form-group">
          <label class="col-lg-5">{l s='Predefined Colors' d='Modules.DfxThemeoptions'}</label>
          <div class="col-lg-7" id="color-box">
          <select name="predefined" id="predefined" class="default-list theme_box">
                 {foreach $theme_name as $key => $value}
            <option value="{$key}" class="theme_box" {if $dfx_theme_color == "{$key}"} selected="selected" {/if}>{$value}</option>
                 {/foreach}
          </select>
        </div>
      </div>
    </div>

    {foreach $allcustom as $key => $value}
    <div class="colorcontainer customcolor{$key}">
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">body background</label>
          <div class="col-lg-5">
            <input name="{$key}_body_bg" id="{$key}_body_bg" value="{$allcustom[$key]['body_bg']}" data-control="hue" class="form-control demo" type="hidden"/>
          </div>
        </div>
      </div>
       <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Top Navigation background</label>
          <div class="col-lg-5">
            <input name="{$key}_topnav_bg" id="{$key}_topnav_bg" value="{$allcustom[$key]['topnav_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Header background</label>
          <div class="col-lg-5">
            <input name="{$key}_header_bg" id="{$key}_header_bg" value="{$allcustom[$key]['header_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Menu background</label>
          <div class="col-lg-5">
            <input name="{$key}_menu_bg" id="{$key}_menu_bg" value="{$allcustom[$key]['menu_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Primary Color</label>
          <div class="col-lg-5">
            <input name="{$key}_primary" id="{$key}_primary" value="{$allcustom[$key]['primary']}"  class="form-control demo" data-control="hue" type="hidden"/>
            <p class="help-block"> </p>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Secondary Color</label>
          <div class="col-lg-5">
            <input name="{$key}_secondary" id="{$key}_secondary" value="{$allcustom[$key]['secondary']}"  class="form-control demo" data-control="hue" type="hidden"/>
            <p class="help-block"> </p>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Sale Lable</label>
          <div class="col-lg-5">
            <input name="{$key}_sale_bg" id="{$key}_sale_bg" value="{$allcustom[$key]['sale_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
            <p class="help-block"> </p>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">New Lable</label>
          <div class="col-lg-5">
            <input name="{$key}_new_bg" id="{$key}_new_bg" value="{$allcustom[$key]['new_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
            <p class="help-block"> </p>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group">
          <label class="control-label col-lg-7 lablet">Footer Background</label>
          <div class="col-lg-5">
            <input name="{$key}_footer_bg" id="{$key}_footer_bg" value="{$allcustom[$key]['footer_bg']}"  class="form-control demo" data-control="hue" type="hidden"/>
            <p class="help-block"> </p>
          </div>
        </div>
      </div>
    </div>
    {/foreach} 
    </div>
  <div class="background_pattern">
    <div class="configure_title"> Background Pattern</div>
    <div id="pattern_box" class="configure_content">
      <div class="form-wrapper">
        <div class="form-group">
          <div class="col-lg-12">
            <input type="radio" name="{$body_bg_pattern}" value="0" id="{$tlayout}_bodypattern0" checked="checked" class="pt_input" />
            <label class="pattern livepattern0" for="{$tlayout}_bodypattern0"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern01" id="{$tlayout}_bodypattern1" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern01"} checked="checked" {/if} />
            <label class="pattern livepattern01" for="{$tlayout}_bodypattern1"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern02" id="{$tlayout}_bodypattern2" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern02"} checked="checked" {/if} />
            <label class="pattern livepattern02" for="{$tlayout}_bodypattern2"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern03" id="{$tlayout}_bodypattern3" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern03"} checked="checked" {/if} />
            <label class="pattern livepattern03" for="{$tlayout}_bodypattern3"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern04" id="{$tlayout}_bodypattern4" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern04"} checked="checked" {/if} />
            <label class="pattern livepattern04" for="{$tlayout}_bodypattern4"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern05" id="{$tlayout}_bodypattern5" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern05"} checked="checked" {/if} />
            <label class="pattern livepattern05" for="{$tlayout}_bodypattern5"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern06" id="{$tlayout}_bodypattern6" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern06"} checked="checked" {/if} />
            <label class="pattern livepattern06" for="{$tlayout}_bodypattern6"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern07" id="{$tlayout}_bodypattern7" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern07"} checked="checked" {/if} />
            <label class="pattern livepattern07" for="{$tlayout}_bodypattern7"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern08" id="{$tlayout}_bodypattern8" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern08"} checked="checked" {/if} />
            <label class="pattern livepattern08" for="{$tlayout}_bodypattern8"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern09" id="{$tlayout}_bodypattern9" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern09"} checked="checked" {/if} />
            <label class="pattern livepattern09" for="{$tlayout}_bodypattern9"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern10" id="{$tlayout}_bodypattern10" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern10"} checked="checked" {/if} />
            <label class="pattern livepattern10" for="{$tlayout}_bodypattern10"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern11" id="{$tlayout}_bodypattern11" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern11"} checked="checked" {/if} />
            <label class="pattern livepattern11" for="{$tlayout}_bodypattern11"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern12" id="{$tlayout}_bodypattern12" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern12"} checked="checked" {/if} />
            <label class="pattern livepattern12" for="{$tlayout}_bodypattern12"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern13" id="{$tlayout}_bodypattern13" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern13"} checked="checked" {/if} />
            <label class="pattern livepattern13" for="{$tlayout}_bodypattern13"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern14" id="{$tlayout}_bodypattern14" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern14"} checked="checked" {/if} />
            <label class="pattern livepattern14" for="{$tlayout}_bodypattern14"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern15" id="{$tlayout}_bodypattern15" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern15"} checked="checked" {/if} />
            <label class="pattern livepattern15" for="{$tlayout}_bodypattern15"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern16" id="{$tlayout}_bodypattern16" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern16"} checked="checked" {/if} />
            <label class="pattern livepattern16" for="{$tlayout}_bodypattern16"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern17" id="{$tlayout}_bodypattern17" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern17"} checked="checked" {/if} />
            <label class="pattern livepattern17" for="{$tlayout}_bodypattern17"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern18" id="{$tlayout}_bodypattern18" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern18"} checked="checked" {/if} />
            <label class="pattern livepattern18" for="{$tlayout}_bodypattern18"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern19" id="{$tlayout}_bodypattern19" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern19"} checked="checked" {/if} />
            <label class="pattern livepattern19" for="{$tlayout}_bodypattern19"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern20" id="{$tlayout}_bodypattern20" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern20"} checked="checked" {/if} />
            <label class="pattern livepattern20" for="{$tlayout}_bodypattern20"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern21" id="{$tlayout}_bodypattern21" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern21"} checked="checked" {/if} />
            <label class="pattern livepattern21" for="{$tlayout}_bodypattern21"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern22" id="{$tlayout}_bodypattern22" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern22"} checked="checked" {/if} />
            <label class="pattern livepattern22" for="{$tlayout}_bodypattern22"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern23" id="{$tlayout}_bodypattern23" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern23"} checked="checked" {/if} />
            <label class="pattern livepattern23" for="{$tlayout}_bodypattern23"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern24" id="{$tlayout}_bodypattern24" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern24"} checked="checked" {/if} />
            <label class="pattern livepattern24" for="{$tlayout}_bodypattern24"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern25" id="{$tlayout}_bodypattern25" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern25"} checked="checked" {/if} />
            <label class="pattern livepattern25" for="{$tlayout}_bodypattern25"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern26" id="{$tlayout}_bodypattern26" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern26"} checked="checked" {/if} />
            <label class="pattern livepattern26" for="{$tlayout}_bodypattern26"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern27" id="{$tlayout}_bodypattern27" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern27"} checked="checked" {/if} />
            <label class="pattern livepattern27" for="{$tlayout}_bodypattern27"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern28" id="{$tlayout}_bodypattern28" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern28"} checked="checked" {/if} />
            <label class="pattern livepattern28" for="{$tlayout}_bodypattern28"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern29" id="{$tlayout}_bodypattern29" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern29"} checked="checked" {/if} />
            <label class="pattern livepattern29" for="{$tlayout}_bodypattern29"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern30" id="{$tlayout}_bodypattern30" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern30"} checked="checked" {/if} />
            <label class="pattern livepattern30" for="{$tlayout}_bodypattern30"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern31" id="{$tlayout}_bodypattern31" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern31"} checked="checked" {/if} />
            <label class="pattern livepattern31" for="{$tlayout}_bodypattern31"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern32" id="{$tlayout}_bodypattern32" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern32"} checked="checked" {/if} />
            <label class="pattern livepattern32" for="{$tlayout}_bodypattern32"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern33" id="{$tlayout}_bodypattern33" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern33"} checked="checked" {/if} />
            <label class="pattern livepattern33" for="{$tlayout}_bodypattern33"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern34" id="{$tlayout}_bodypattern34" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern34"} checked="checked" {/if} />
            <label class="pattern livepattern34" for="{$tlayout}_bodypattern34"> </label>
            <input type="radio" name="{$body_bg_pattern}"   value="pattern35" id="{$tlayout}_bodypattern35" class="pt_input" {if Configuration::get("{$body_bg_pattern}") == "pattern35"} checked="checked" {/if} />
            <label class="pattern livepattern35" for="{$tlayout}_bodypattern35"> </label>
          </div>
          <span class="tips col-lg-12">you can upload custom image from backoffice</span> </div>
      </div>
    </div>
  </div>
  <span class="tips col-lg-12"></span> <span class="tips col-lg-12"></span> <span class="tips col-lg-12">More settings are available in backoffice</span>
  <button class="btn btn-primary resetconfig">{l s='Reset' d='Modules.DfxThemeoptions'}</button>
  </div>

</div>
