{**
 * 2007-2021 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com> * @copyright 2007-2021 PrestaShop SA and Contributors
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{block name='product_miniature_item'}
 <article class="product-miniature {if isset($themeoption) && $themeoption == '1'}{if isset($show_thumbnail) && $show_thumbnail == '1'}thumb{/if}{/if} js-product-miniature
 {if $product.tab_class} {$product.tab_class}{/if}" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" data-brand="{if isset($product.id_manufacturer)}{Manufacturer::getNameById($product.id_manufacturer)}{/if}">
  <div class="border_inside">
     <div class="thumbnail-container">
      <div class="product-image">{block name='product_thumbnail'}<a href="{$product.url}" class="thumbnail product-thumbnail">{if $product.cover}{if isset($imglazyload) && $imglazyload} <img src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20{$product.cover.bySize.home_default.width}%20{$product.cover.bySize.home_default.height}%22%3E%3C/svg%3E" data-src="{$product.cover.bySize.home_default.url}" class="js-lazyload product-thumbnail-first" alt="{$product.name}" id="hoverproductImage_{$product.id_product}" loading="lazy" width="{$product.cover.bySize.home_default.width}" height="{$product.cover.bySize.home_default.height}"> {else} <img src="{$product.cover.bySize.home_default.url}" class="product-thumbnail-first" alt="{$product.name}" id="hoverproductImage_{$product.id_product}" width="{$product.cover.bySize.home_default.width}" height="{$product.cover.bySize.home_default.height}"> {/if}{else}<img src="{$urls.no_picture_image.bySize.home_default.url nofilter}" style="width:100%;">{/if}
        {hook h="displayBrandImage" product=$product}{if isset($show_thumbnail) && $show_thumbnail == '1'}{hook h="displayListImage" product=$product}{/if}</a>
         {/block}
         <div class="cartbottom_btn btn_hover"> 
        
           {hook h='displayAddCartBtn' product=$product} 
          {hook h='displayProductListFunctionalButtons' product=$product}
          {hook h='displayProductwishlist' product=$product} 
          
        </div>
         {if !empty($product.specific_prices.from) && !empty($product.specific_prices.to) && $product.specific_prices.from != '0000-00-00 00:00:00' && $product.specific_prices.to != '0000-00-00 00:00:00'}
         <div class="product-countdown-offer"> {include file='catalog/_partials/miniatures/product-date.tpl' timeZ=$product.specific_prices.to} </div>
         {/if}
         {include file='catalog/_partials/product-flags.tpl'} </div>
      <div class="product-description">
      {block name='product_name'}
         <div class="product-title" itemprop="name"><a href="{$product.url}" class="name">{$product.name|truncate:30:'...'}</a></div>
         {/block}

         {block name='product_price_and_shipping'}
         {if $product.show_price}
         <div class="product-price-and-shipping">{if $product.has_discount}
          {hook h='displayProductPriceBlock' product=$product type="old_price"} <span class="sr-only">{l s='Regular price' d='Shop.Theme.Catalog'}</span><span class="regular-price">{$product.regular_price}</span><span itemprop="price" class="price">{$product.price}</span> {else}<span itemprop="price" class="price">{$product.price}</span>{/if}
          {hook h='displayProductPriceBlock' product=$product type="before_price"}
          {hook h='displayProductPriceBlock' product=$product type='unit_price'}
          {hook h='displayProductPriceBlock' product=$product type='weight'} </div>
         {/if}
         {/block}
         <div class="product-review-block"> {block name='product_reviews'}
          {hook h='displayProductListReviews' product=$product}
          {/block}</div>
          {if $product.additional_delivery_times == 1}
    {if $product.delivery_information}<div class="shipping-delivery-label"><i class="redfox-shopping-bag"></i><span class="delivery-information">{$product.delivery_information}</span></div> {/if}
    {elseif $product.additional_delivery_times == 2}{if $product.quantity > 0} <div class="shipping-delivery-label"><i class="redfox-shopping-bag"></i><span class="delivery-information">{$product.delivery_in_stock}</span> {* Out of stock message should not be displayed if customer can't order the product. *}</div>{elseif $product.quantity <= 0 && $product.add_to_cart_url}<div class="shipping-delivery-label"><i class="redfox-shopping-bag"></i><span class="delivery-information">{$product.delivery_out_stock}</span></div>{/if}
      {/if}
      
   <div class="stock-count">
              <div class="stock-available-countdown" quantity-max="25">
               {if $product.quantity > 0} 
                     <div class="stock-range">
                        <div class="stock-available-progress {if $product.quantity > 25}green-bar{elseif $product.quantity > 10}yellow-bar{elseif $product.quantity > 0}red-bar{/if}" 
                        style="width:{if $product.quantity > 25}100{else}{$product.quantity * 100/25}{/if}%"></div>
                    </div>
                  {/if}
                  <div class="product-availability">
                    {if $product.quantity > 0}
                      {if $product.show_availability}
                        {if $product.availability_message}
                         {if $product.availability == 'available'}
                            <i class="material-icons rtl-no-flip product-available">&#xE5CA;</i>
                          {elseif $product.availability == 'last_remaining_items'}
                             <i class="material-icons product-last-items">&#xE002;</i>
                          {else}
                            <i class="material-icons product-unavailable">&#xE14B;</i>
                          {/if}
                         {$product.availability_message}:
                        {else}
          				  {if $product.availability == 'available'}
                            <i class="material-icons rtl-no-flip product-available">&#xE5CA;</i>
                          {elseif $product.availability == 'last_remaining_items'}
                             <i class="material-icons product-last-items">&#xE002;</i>
                          {else}
                            <i class="material-icons product-unavailable">&#xE14B;</i>
                          {/if}
                          {$product.availability}:
						{/if}
                      {/if}
                        <span class="stock-available-counter {if $product.quantity > 20}green-text{elseif $product.quantity > 10}yellow-text{elseif $product.quantity > 0}red-text{/if}" data-value="{$product.quantity}">{$product.quantity}</span>
                        {else}
                        
                        <p class="stock-available-counter red-text stock-available-title" data-value="{$product.quantity}"><i class="material-icons product-unavailable">&#xE14B;</i> {l s='No product available!' d='Shop.Theme.Catalog'}</p>
                        {/if}
                        </div>
                </div>
          </div>
       </div>
    </div>
    
   </div>
</article>
{/block}