{*
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2020 PrestaShop SA
*  @version  Release: $Revision$
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if $menus}
<div class="mobilemenu_ajax">
    <div id="mobilemenu-sideview" class="mobilemenu">
    	<div class="mobile-menuheader">{l s='Menu' d='Modules.DfxMegamenu'}</div>
<div class="mobilemegamenu megamenu">

<ul>
    {foreach from=$menus item=menu}
       {if $menu.title}
		<li class="menulink">

        {if !empty($menu.url)}  
        <a href="{$menu.url}" title="{$menu.title}" class="main-link" {if $menu.new_window == '1'}target="_blank"{/if}>{else}<span class="menu_link">{/if}   {$menu.title}  {if !empty($menu.url)} </a>{else}</span>
       {/if}
       
         {if isset($menu.menurows) && count($menu.menurows) > 0}
         <div class="menusub-open">
         <div class="plusopen collapse-icons">
          <i class="material-icons add">&#xE145;</i>
              <i class="material-icons remove" style="display:none">&#xE15B;</i>
              </div>
              </div>
			{/if}

         {if isset($menu.menurows) && count($menu.menurows) > 0} <div class="mobiledropdown full-width col-{if isset($menucolumn.width) && $menucolumn.width}{$menucolumn.width}{/if}">

            {foreach from=$menu.menurows item=menurow}
            	<div class="row-items list-row">

                {if isset($menurow.menucolumns) && count($menurow.menucolumns) > 0}
                 {foreach from=$menurow.menucolumns item=menucolumn name=menucolumn}
                 
      				 {if $menucolumn.col_title == 1} 
                    <h4 class="col-title">{if $menucolumn.url} <a href="{$menu.url}" title="{$menu.title}">{/if}
                  {$menucolumn.title}
                    {if $menucolumn.url} </a>{/if}</h4>
                   {/if}
                    
                 	<div class="col{$menucolumn.id_dfxmenucolumn} column-items">
                      	 {if $menucolumn.content_type == 'category'}
                         <div class="bcategories">
                         	 {if $menucolumn.categories}
                                <ul class="categories-tree">
                                {$menucolumn.categories nofilter}
                                </ul>
                   {/if}
                          </div>
                          {/if}
                          {if $menucolumn.content_type == 'product'}
                           <div class="products-grid megaproducts-{$menucolumn.short_product}"> 
                           {if $menucolumn.products}
                            {foreach from=$menucolumn.products item=product name=products}
                               {include file="module:dfxmegamenu/views/templates/hook/product-short.tpl" product=$product}
                            {/foreach} 
                            {/if}
                           </div>
                          {/if}
                           {if $menucolumn.content_type == 'html'}
                           <div class="html-content">
                           {if $menucolumn.htmlcontent}
                          	{$menucolumn.htmlcontent nofilter}
                            {/if}
                            </div>
                          {/if}
                           {if $menucolumn.content_type == 'bannerimage'}
                          {if $menucolumn.banner_image}
                          	<div class="menu_banner_img">
                            {if $menucolumn.bannerlink}<a class="banner_link" href="{$menucolumn.bannerlink}">{/if}
                           {if isset($imglazyload) && $imglazyload}<img class="js-lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20{$menucolumn.banner_w}%20{$menucolumn.banner_h}%22%3E%3C/svg%3E" data-src="{$menucolumn.banner_image}" title="banner" width="{$menucolumn.banner_w}" height="{$menucolumn.banner_h}"/>{else}<img src="{$menucolumn.banner_image}" title="banner" width="{$menucolumn.banner_w}" height="{$menucolumn.banner_h}"/>{/if}
                           {if $menucolumn.bannerlink} </a>{/if}
                            </div>
                         	{/if}
                         {/if}
                          {if $menucolumn.content_type == 'manufacturer'}
                          <div class="manufacturer-logo">
                          {if $menucolumn.manufacture}
                          	{foreach from=$menucolumn.manufacture item=manufacturer name=manufacturers}
                              <div class="logo-items">
                                  <div class="logo"><a href="{$manufacturer.url}" title="{$manufacturer.name}">{if isset($imglazyload) && $imglazyload}<img class="img-fluid js-lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20129%2089%22%3E%3C/svg%3E" data-src="{$manufacturer.image}" alt="" width="129" height="89"/>{else}<img class="img-fluid" src="{$manufacturer.image}" alt="" width="129" height="89"/>{/if}</a></div>
                              </div>
                              {/foreach}
                          {/if}
                          </div>
                          {/if}
                          {if $menucolumn.content_type == 'cms_link'}
                          <div class="cms_links">
                          {if $menucolumn.cmsHtml}
                          	{$menucolumn.cmsHtml nofilter}
                            {/if}
                           </div>
                     	{/if} 
                      </div>
                
                        
                 {/foreach}
                 {/if}
                 </div>
            {/foreach}
         
            </div>{/if}
		</li>
        {/if}
     {/foreach}
       
  </ul>

</div>
	</div>
</div>
{/if}
