{**
 * 2007-2021 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2021 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

  <article class="product-miniature mini">
   <div class="border_inside">
    <div class="thumbnail-container">
    	<div class="product-image">
      {block name='product_thumbnail'}
        <a href="{$product.url}" class="thumbnail product-thumbnail">{if $product.cover}
          <img src="{$product.cover.bySize.medium_default.url}" class="product-thumbnail-first" alt="{$product.name}" width="{$product.cover.bySize.medium_default.width}" height="{$product.cover.bySize.medium_default.height}"> 
          {else}
          <img src="{$urls.no_picture_image.bySize.medium_default.url nofilter}" style="width:100%;">
          {/if}
        </a>
        {/block}
      </div>
      
      <div class="product-description">
        {block name='product_name'}
          <h4 class="product-title"><a href="{$product.url}">{$product.name|truncate:30:'...'}</a></h4>
        {/block}

          {if $product.show_price}
            <div class="product-price-and-shipping">
            {if $product.has_discount}
              <span class="regular-price">{$product.regular_price}</span>
              <span class="price">{$product.price}</span>
              {else}
              <span class="price">{$product.price}</span>
              {/if}
            </div>
          {/if}
       {block name='product_reviews'}
          {hook h='displayProductListReviews' product=$product}
        {/block}
      </div>

  </div>
    </div>
  </article>

