{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
{if {$hookName} == 'displayFooter'}
<div class="block_newsletter col-md-3 links">

  <div class="footer_news">
    <h4 class="hidden-sm-down">{l s='Newsletter' d='Shop.Theme.Global'}</h4>
     {assign var=_expand_id value=10|mt_rand:100000}
  <div class="title clearfix hidden-md-up" data-target="#footer_sub_menu_{$_expand_id}" data-toggle="collapse">
        <h4>{l s='Newsletter' d='Shop.Theme.Global'}</h4>
        <span class="float-xs-right">
          <span class="navbar-toggler collapse-icons">
             <i class="material-icons add">&#xE145;</i>
            <i class="material-icons remove">&#xE15B;</i>
          </span>
        </span>
      </div>
  
   <ul id="footer_sub_menu_{$_expand_id}" class="collapse">
   <li>
    
    
              {if $conditions}
                <p class="col-md-12 col-xs-12 newsletter-content">{$conditions}</p>
              {/if}
              
  </li>
<li> 

      <form action="{$urls.current_url}#footer" method="post">
        <div class="row">
          <div class="col-xs-12">
            
            <div class="input-wrapper">
              <input
                name="email"
                type="email"
                value="{$value}"
                placeholder="{l s='Your email address' d='Shop.Forms.Labels'}"
                aria-labelledby="block-newsletter-label"
              >
              <button class="btn btn-primary float-xs-left" name="submitNewsletter" type="submit" value=""><i class="redfox-mail"></i></button>
             
            </div>
            <input type="hidden" name="action" value="0">
            <div class="clearfix"></div>
          </div>
          
        </div>
      </form>
      {if $msg}
                <p class="alert {if $nw_error}alert-danger{else}alert-success{/if} col-md-12 col-xs-12">
                  {$msg}
                </p>
              {/if}
               {if isset($id_module)}
                {hook h='displayGDPRConsent' id_module=$id_module}
              {/if}
 
    </li>
    </ul>
    </div>

</div>
{else}
<div class="redfox-newsletter">

          <div class="newsletter-wrapper">
          
<input class="newsletter-input" name="email" type="email" value="{if isset($value) && $value}{$value}{/if}" placeholder="{l s='Your email address' d='Shop.Forms.Labels'}"               aria-labelledby="block-newsletter-label" required />
      <button class="btn submit-newsletter" type="submit" value="">
          <span class="redfox-mail"></span><span>{l s='Subscribe' d='Shop.Theme.Actions'}</span>
      </button>
            <input type="hidden" name="action" value="0">
            <div class="clearfix"></div>
          </div>
<div class="response-msg">
<div class="mail-response hidden alert"> <span>
      		{if $msg}
                <p class="alert {if $nw_error}alert-danger{else}alert-success{/if} col-md-12 col-xs-12">
                  {$msg}
                </p>
              {/if}
              </div></span> </div>
              <div class="gdpr-container">
               {if isset($id_module)}
                {hook h='displayGDPRConsent' id_module=$id_module}
              {/if}
              </div>
</div>
{/if}