/* global $ */
$(document).ready(function () {
    var $searchWidget = $('#search_widget');
    var $searchBox    = $searchWidget.find('input[type=text]');
    var searchURL     = $searchWidget.attr('data-search-controller-url');

    $.widget('prestashop.psBlockSearchAutocomplete', $.ui.autocomplete, {
        _renderItem: function (ul, product) {
			var image = (product.cover) ? product.cover : prestashop.urls.no_picture_image;
            return $('<li>').addClass('search-menu-item')
                .append($("<a>").addClass('search-item')
				    .append($("<span>").html('<img src="'+ image.bySize.small_default.url +'"/>').addClass("searchimg"))
					.append($('<span>').addClass('desc')
                    .append($("<span>").html(product.category_name).addClass("category"))
                    .append($("<span>").html(product.name).addClass("product"))
                    .append($("<span>").html(product.price).addClass("price"))
					)
                ).appendTo(ul)
            ;
        }
    });

    $searchBox.psBlockSearchAutocomplete({
        source: function (query, response) {
            $.post(searchURL, {
                s: query.term,
                resultsPerPage: 10
            }, null, 'json')
            .then(function (resp) {
                response(resp.products);
            })
            .fail(response);
        },
        select: function (event, ui) {
            var url = ui.item.url;
            window.location.href = url;
        },
    });
	
});
