{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div class="product-variants js-product-variants">

<div class="stock-count">
<div class="stock-available-countdown" quantity-max="25">
                    {if $product.quantity > 0}
                    <p class="stock-available-title">{if $product.quantity < 25}{l s='Hurry up! ' d='Shop.Theme.Catalog'}{/if}{l s='Only' d='Shop.Theme.Catalog'}
                        <span class="stock-available-counter {if $product.quantity > 25}green-text{elseif $product.quantity > 10}yellow-text{elseif $product.quantity > 0}red-text{/if}" data-value="{$product.quantity}">{$product.quantity}</span>
                            {if $product.quantity > 1}
                            {l s='Left in Stocks!' d='Shop.Theme.Catalog'}
                            {else}
                            {l s='Left in Stock!' d='Shop.Theme.Catalog'}
                            {/if}
                   </p>
                        {else}
                        <p class="stock-available-counter red-text stock-available-title" data-value="{$product.quantity}">{l s='No product available!' d='Shop.Theme.Catalog'}</p>
                        {/if}

                   
                    <div class="stock-range">
                         <div class="stock-available-progress {if $product.quantity > 25}green-bar{elseif $product.quantity > 10}yellow-bar{elseif $product.quantity > 0}red-bar{/if}" 
                        style="width:{if $product.quantity > 25}100{else}{$product.quantity * 100/25}{/if}%"></div>
                    </div>
                </div>
</div>
  {foreach from=$groups key=id_attribute_group item=group}
  {if !empty($group.attributes)}
    <div class="clearfix product-variants-item">
      <span class="control-label">{$group.name}{l s=': ' d='Shop.Theme.Catalog'}
      </span>
      {if $group.group_type == 'select'}
        <select
          class="form-control form-control-select"
          id="group_{$id_attribute_group}"
          aria-label="{$group.name}"
          data-product-attribute="{$id_attribute_group}"
          name="group[{$id_attribute_group}]">
          {foreach from=$group.attributes key=id_attribute item=group_attribute}
            <option value="{$id_attribute}" title="{$group_attribute.name}"{if $group_attribute.selected} selected="selected"{/if}>{$group_attribute.name}</option>
          {/foreach}
        </select>
      {elseif $group.group_type == 'color'}
        <ul id="group_{$id_attribute_group}">
          {foreach from=$group.attributes key=id_attribute item=group_attribute}
            <li class="float-xs-left input-container">
              <label aria-label="{$group_attribute.name}">
                <input class="input-color" type="radio" data-product-attribute="{$id_attribute_group}" name="group[{$id_attribute_group}]" value="{$id_attribute}" title="{$group_attribute.name}"{if $group_attribute.selected} checked="checked"{/if}>
                <span
                  {if $group_attribute.texture}
                    class="color texture" style="background-image: url({$group_attribute.texture})"
                  {elseif $group_attribute.html_color_code}
                    class="color" style="background-color: {$group_attribute.html_color_code}"
                  {/if}
                ><i class="material-icons">&#xe876;</i><span class="attribute-name sr-only">{$group_attribute.name}</span></span>
              </label>
            </li>
          {/foreach}
        </ul>
      {elseif $group.group_type == 'radio'}
        <ul id="group_{$id_attribute_group}">
          {foreach from=$group.attributes key=id_attribute item=group_attribute}
            <li class="input-container float-xs-left">
              <label>
                <input class="input-radio" type="radio" data-product-attribute="{$id_attribute_group}" name="group[{$id_attribute_group}]" value="{$id_attribute}" title="{$group_attribute.name}"{if $group_attribute.selected} checked="checked"{/if}>
                <span class="radio-label">{$group_attribute.name}</span>
              </label>
            </li>
          {/foreach}
        </ul>
        {else}
        {if $group_attribute.selected}{$group_attribute.name}{/if}
      {/if}
    </div>
     {/if}
  {/foreach}
</div>
