{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
 <!doctype html>
 <html lang="{$language.iso_code}">
 <head>
{block name='head'}
      {include file='_partials/head.tpl'}
    {/block}
</head>
<div id="forgetpassword">
  <div class="container">
    <div class="row d-flex justify-content-center">
      <div class="col-xl-8 col-sm-12">
        <div class="auth-logo d-flex justify-content-center"><a href="{$urls.pages.index}"> <img class="logo img-responsive" src="{$shop.logo}" alt="{$shop.name}"></a></div>

{block name='page_title'}
  <h1 class="page-title"> {l s='Forgot your password?' d='Shop.Theme.Customeraccount'}</h1>
{/block}

 <div class="row d-flex justify-content-center">
{block name='page_content'}
  <form action="{$urls.pages.password}" class="forgotten-password" method="post">

    <ul class="ps-alert-error">
      {foreach $errors as $error}
        <li class="item">
          <i>
            <svg viewBox="0 0 24 24">
              <path fill="#fff" d="M11,15H13V17H11V15M11,7H13V13H11V7M12,2C6.47,2 2,6.5 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2M12,20A8,8 0 0,1 4,12A8,8 0 0,1 12,4A8,8 0 0,1 20,12A8,8 0 0,1 12,20Z"></path>
            </svg>
          </i>
          <p>{$error}</p>
        </li>
      {/foreach}
    </ul>

    <header>
      <p class="send-renew-password-link">{l s='Please enter the email address you used to register. You will receive a temporary link to reset your password.' d='Shop.Theme.Customeraccount'}</p>
    </header>

    <div class="card card-login"> 
    	<div class="card-body">
      <div class="form-group">
        <label class="form-control-label required">{l s='Email address' d='Shop.Forms.Labels'}</label>
        <div class="email">
          <input type="email" name="email" id="email" value="{if isset($smarty.post.email)}{$smarty.post.email|stripslashes}{/if}" class="form-control" required>
        </div>
      </div>
      <footer class="form-footer clearfix">
       <button id="send-reset-link" class="form-control-submit btn btn-primary hidden-xs-down float-xs-right" name="submit" type="submit">
          {l s='Send reset link' d='Shop.Theme.Actions'}
        </button>
        <button class="form-control-submit btn btn-primary hidden-sm-up float-xs-right" name="submit" type="submit">
          {l s='Send' d='Shop.Theme.Actions'}
        </button>
        </footer>
      </div>
    </div>

  </form>
{/block}
</div>
  <div class="row d-flex justify-content-center bottom-links-list">
         <div class="col-12 bottom-links-detail">
         <ul>
         <li>
{block name='page_footer'}
  <a href="{$urls.pages.my_account}" class="account-link">
   <i class="material-icons keyboard_arrow_left">&#xe314;</i>
    <span>{l s='Back to login' d='Shop.Theme.Actions'}</span>
  </a>
{/block}
</li>
 <li>
                  	<a href="{$urls.base_url}"><i class="material-icons keyboard_arrow_left">&#xe314;</i> &nbsp;<span>{l s='Back to website' d='Shop.Theme.Customeraccount'}</span></a>
                  </li>
                  <li>
                          <div class="row d-flex justify-content-center language-block">{hook h='displayLang'}</div>
                  </li>
</ul>
</div>
</div>
    </div>
    </div>
  </div>
</div>
 {block name='javascript_bottom'}
      {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
    {/block}
</html>
